commit 0b1bba79cfe94e7676fe69e9e0d2e3983a3c14c5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-25 15:01:45 +0200

    0.6.2

commit cdce30ff7231ba01e27899f8c8c42fb2dd5cae7c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-05-26 13:38:31 +0200

    call-stream: add mising 'break' in switch block
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79006

commit b900606d28ee101dc5bf6f16dca6b26fdca81888
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2014-03-06 12:21:18 -0500

    version 0.6.1.1

commit 67851545b72518743469e6e862d9f191a0697105
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2014-03-06 12:17:05 -0500

    version 0.6.1

commit 0ca4ba4c593df911bb491dfdce4ccccd77118167
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2014-03-06 10:33:04 -0500

    call-stream: Ignore local candidates if there are none
    
    Otherwise it will call add_candidates() with NULL which triggers
    a ICE restart.

commit 240648e79c882702b497b0af9c3ec5cc563739d6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2013-09-25 20:37:15 -0400

    Fix typo, make it build

commit 96dc161f99ec2058127d50b2bb28ea3e9c2d3835
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2013-09-25 20:28:41 -0400

    Use AS_IF in configure.ac
    
    https://bugs.freedesktop.org/show_bug.cgi?id=54121

commit edf5cf40797eca0e6661fe3b08912a84a39204c3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2013-09-25 20:23:20 -0400

    Replace INCLUDES with equivalent AM_CPPFLAGS

commit 91fc609e105b466fc5b2c4983baff82a6fa9ced2
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   2013-01-19 07:53:34 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.

commit e60291e9221d984bcfbb655db15749c94c1d1a0c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 12:36:21 +0200

    add telepathy-glib-dbus.h
    
    Not yet needed but will be for 1.0
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69806

commit 034eee8ea7303ee0f43ad5d9594a37e29f1e24ef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 12:50:43 +0200

    call-stream: fix type of state variable
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69806

commit 1ddd6ae3dfb2e6f1200700215eafcf53bdd4cf35
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 12:07:42 +0200

    build with TP_SEAL_ENABLE and TP_DISABLE_SINGLE_INCLUDE
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69802

commit 8dc3a82cc6680f9f22900e595fa88bb6d6f2850e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 12:07:34 +0200

    stop accessing TpProxy members directly
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69802

commit 1afbe1ebe9764982cd0873cbb30f7ba7b8dc9f4c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 11:56:25 +0200

    bump tp-glib dep and use versioning macros
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69802

commit e0cdd884ebf463f1c371a4105f56af0c7ae54248
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-09-25 12:01:15 +0200

    add missing config.h includes
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69802

commit 3190e5ab4160d0d7b9946db547b22b1babe2e870
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   2013-09-24 15:31:13 +0300

    examples/call-handler.c: s/ffmpegcolorspace/videoconvert/

commit 482561aa00c9329aa3d82e00a3f26eff38e7eee4
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   2013-09-23 17:28:53 +0300

    examples/call-handler.c: Actually use has_audio_src / has_video_src

commit 0816fe31d1c0b7f90770f72dd52c75dae3d21afb
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   2013-09-23 17:28:18 +0300

    examples/call-handler.c: Fix content property names

commit 61682dad3886da6336ee0e88aae9f620e0a02c50
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-25 17:01:09 -0400

    version 0.6.0.1

commit 3a4c67d4a9c218dea8e4608f7f7050ff4f8bd83b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-25 16:59:56 -0400

    version 0.6.0

commit a3babd6c929e0b841839a307ddeceedfa85163a9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-25 16:58:01 -0400

    The GStreamer 1.0 API is no longer unstable

commit cd002a7f723229450968f8ea2664fd173a5047ad
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-25 16:57:49 -0400

    The relay-info is now a GPtrArray instead of a GValueArray

commit 7d487ccde03cefe7938affe4c0f98360cef7ba8d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-17 13:13:24 -0400

    Only include telepathy-glib.h
    
    Also bump telepathy-glib requirement to 0.19.0
    
    https://bugs.freedesktop.org/show_bug.cgi?id=54999

commit 024c71c812b9d2c52783fb6fec866b3c07ff08dd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-13 22:01:12 -0400

    version 0.5.0.1

commit 5685f34ddea336acaabef90dc001af06305913a0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-13 22:00:00 -0400

    version 0.5.0

commit b26ae900b01d4049ab6b660ef71528f4cabf19ad
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-08-26 14:46:57 +0200

    Bump soname

commit 7ac1f35327f050c638e536e887a3e6dc17807bfc
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2012-09-11 23:14:38 +0200

    pkgconfig: Require gstreamer-1.0 and farstream-0.2

commit 9e626b207c8dde12ce73bc9b5869eb6f2b1d8cf8
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2012-09-11 21:02:46 +0200

    gobject-introspection: Also depend on Farstream-0.2

commit 90bebf31c2dc1f5221b70fd753d5202f66e9ff31
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-09-11 12:40:18 -0400

    Depend on farstream-0.2 for GStreamer 1.0 compat

commit eb43dad2a96b59aae80a988bb186176a70859a67
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-08-21 20:09:19 -0700

    Generate GObject Introspection data

commit 97dcfe87e01436122d81e91e9939a05f85ef8491
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-08-21 20:08:47 -0700

    Add : to fix warning from introspection scanner

commit f4de422881ea6fcc22a72ead639bbde3e84b7199
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-08-21 20:07:33 -0700

    Remove static python bindings

commit 6c6f13385ed0f14df88fa477c9964425755c5cf6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-01-29 23:16:26 +0000

    Port to GStreamer 0.11, remove static python bindings

commit 0c96f96c732a0f2489afd6df1b0dbeb9a2c2beed
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2012-09-03 11:49:54 +0200

    Set RemoteContact when accepting & updating media descriptions

commit 5baebea7b3d7b5cb6afc37989a5e42d365c15052
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-08-21 19:43:29 -0700

    Remove deprecated TP_ERRORS

commit 66fc42f109712f3ab44e0daee5fca4ce861e2000
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-04 15:51:08 -0400

    start on version 0.5.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 066867ea84b017df6da611afd64d8dc2a1784a6f
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-04 15:50:45 -0400

    start on version 0.4.1
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8e9efa7e7eb9e4ec9e718b900264d9ad822388dc
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-04 15:48:42 -0400

    version 0.4.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0cc0d236821e6ccc162d002478d76dcc7a18db1c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-04 15:47:47 -0400

    update NEWS for 0.4.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 2f6bd3e6bd95d9806c8c4574b300f20bf7e61187
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-04-04 11:13:39 +0200

    The right macro is GLIB_VERSION_MAX_ALLOWED
    
    https://bugs.freedesktop.org/show_bug.cgi?id=48285

commit 2721ff5373382613cf331d9f3809f4271de452a9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-20 12:49:18 -0400

    version 0.2.3.1

commit db872e4f63e3bac04ee097070873fd82b1a51e76
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-20 12:23:24 -0400

    version 0.2.3

commit 02149cf6c5ec94484f08bb2197a5d33e9f2c1a1f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-20 12:46:44 -0400

    Remove the (skip) annotations as they confuse gtk-doc

commit 71b46b46da8bfc77cb3574c21b0739dcc444198d
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   2012-03-20 10:26:42 +0100

    Don't segfault if there is no error set
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47558

commit e258b66a1212007f52a05fc1e284aa8632a57ffb
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   2012-03-20 10:14:23 +0100

    Fix build (missing '\' at EOL in header list)
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47557

commit c4880f4fa3118b57ac007aab54ee5201c471136b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-18 16:55:41 -0400

    Release resources when destroying TfCallStream

commit b707a6c14e96155c225af1ba1ed70ffe473c0ddd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-18 16:55:28 -0400

    Split _destroy() and _dispose() and call _destroy() manually

commit cbd7e9f5788a193d9802b329035c19170cb0c023
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-14 12:33:53 -0400

    Make sure all TfCallStream are disposed before their content

commit d20ace30f0bcb62f854cf383d185edba1faa85b6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-14 17:29:04 -0400

    CallStream: Protect against early dispose

commit 9d9a0143b2792ee7f3fc25f4072cc72c8b0cbcf2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-14 17:28:50 -0400

    CallStream: Split finalize from dispose

commit 05ad14bf449b1da5fd42fe1da97a7fa1e5e79fe5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-13 17:18:34 -0400

    Don't ignore MediaDescription offer if the answer is the same as the previous one

commit 5d59d27433b6d32e2c9ae2a7e3860a776d484e2c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-13 16:29:49 -0400

    Don't try to start receiving if one can't get the receive resource

commit 0477760a541ed511a0297b371776016371a9aa9e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-12 21:00:56 -0400

    Set stored remote candidates

commit 0cfc1a504cc8d8ecc3c8ece3503d9992bb8f3d3b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-12 18:48:55 -0400

    Add component to the endpoint state debug message

commit 9ad1adcdf4bfd8dbf6cf0d461ca2cf2a73c33747
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-12 12:54:38 -0400

    Add annotations to tell bindings to use _literal versions of the functions.
    
    The non-literal version just add a g_strdup_printf() before calling the
    literal ones. So bindings shouldn't use them.

commit 577cdc162c9d09184cc085877001e380d4e4a0a4
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2012-03-08 21:33:50 -0600

    Use the generic marshaller
    
    Adds a requirement for GLib 2.30

commit 98e5cf7000dce197912c1e01cff4c202fdac62c4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-08 17:10:39 -0500

    Fix typos in NEWS file

commit 97a00b7c41595705a611c1f1bf21a6e6290a7f15
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-08 17:05:57 -0500

    version 0.2.2.1

commit 2dd677fbda85b00bbba8aff29d2ff91a4d4c3c48
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-08 17:03:08 -0500

    version 0.2.2

commit 4ab19099d8d7a44a3de8ff806808ce0d2598b4ff
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-08 14:15:26 -0500

    Don't access fsstream if it doesn't exist

commit 8e4b120740404c733ac3bbb6fa3f115aa4988b32
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-07 16:19:23 -0500

    Make it just a warning on Content error

commit 7b19cb3730ce59322a7f41b5a99044163bb35818
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-07 15:58:58 -0500

    CallContent: Guard against early dispose in some callbacks

commit 5c1ea995af69e251bce731c22b47fbcea158da55
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-06 19:57:16 -0500

    Example: Return correctly from start-sending

commit b0bf8d8f88a4648866b13241993cf43960574f25
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-06 19:14:53 -0500

    Update the example to better use the APIs

commit e18101902af6cee9c2dfe6a791860a893fd21c45
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-06 17:05:38 -0500

    Add finish function to the async new

commit 0d61b094caa77c83f3826dbb1adddbcfe55f5016
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-06 17:05:28 -0500

    Fix small bug

commit 1ed8c5746c9a379a0b9eedfa20770452a9c29eb2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-05 16:41:48 -0500

    Make it possible to remove a endpoint

commit 6ec1a93f027280c59b014e9d22e23c1d041c4c1b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-05 16:41:23 -0500

    Factor out setting the FsStream direction to/from sending

commit 9c4189db00a750028ffeb8c5a9639ad695391a05
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-05 16:37:56 -0500

    Factor out endpoint disposal

commit b64e1674925ae432af04b40a75a27d946f6ca87b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-03-05 16:34:08 -0500

    Put all setting of the endpoint path at the same place

commit e40399b303cb9b53e24da8122fc8f4f36bdc5d2e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-29 13:09:21 -0500

    Ignore deprecations after 2.26

commit 6113d37768d42e2b7032b5db59dcd0478cc3a05d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-29 14:00:31 +0100

    include missing config.h
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46768

commit 24206f84095575cd70806edd97d1a34919506717
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 18:10:00 -0500

    version 0.2.1.1

commit 8aa9735cded2a1589de68951c4f7724a6d5765fb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 17:52:02 -0500

    Version 0.2.0

commit a585da84fc5f3bc00907b25452759137de72f769
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 18:01:12 -0500

    Fix errors in doc building

commit cbf78df822df886c92a6c9f0934067198584ecd3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 17:47:53 -0500

    Also cast the correct object

commit 8e0e122cdd12f01b9abb4e0ba0c1ab7b59397e14
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 17:44:42 -0500

    Connect to correct object

commit 7d56e7b4b3c801a5ef5e9f88fc34c84656e0aa0d
Merge: ac8cae2 bf1bb99
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-20 17:31:41 -0500

    Merge branch 'call1'
    
    Conflicts:
    	configure.ac
    	examples/call-handler.c
    	extensions/Makefile.am
    	extensions/call-content.xml
    	telepathy-farstream/call-content.c
    	telepathy-farstream/call-stream.c
    	telepathy-farstream/stream.c
    	telepathy-farstream/telepathy-farstream.c

commit bf1bb9987d0f9ad5bdccc42d67fb0a8e78feaf0a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-15 16:19:04 -0500

    Remove mute as it has been removed from the spec

commit c910be247d3be7b86409fd9a77165d295d94a91f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-08 19:04:10 -0500

    Add a reason when rejecting invalid codecs

commit 30cb4df8d9a603f58b7ab3d4c74b1563033b8a76
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-08 16:26:06 +0100

    Return not-implemented if more than one endpoint

commit 9626c140baf85f8b1a4464924d0d7de7bb0e738b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2012-02-08 16:25:46 +0100

    Use fs_*_destroy methods

commit edc029a12e178c6e8f1d4bd64fadc40a85f941fd
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-16 15:43:55 +0100

    Set self->contents to NULL in dispose
    
    This avoid a crash if dispose is ran twice or if content_removed is
    called after dispose

commit 250bc7c9bf42a805929e3d71740036fc513fde4a
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-16 15:43:35 +0100

    Keep a ref on stream proxy

commit 85050594dc47e0bbc954647abb5d46290d293eb1
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-08 10:50:37 +0100

    Fix refcounting of TfContent

commit 46c7055150057d3d0a8534913f7e3a2a6b083d8c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-23 16:03:22 -0500

    Use the contact handle from inside a MediaDescription
    
    Also, use the updated API without the duplicated contact

commit 10fb8a72889052eabc919e0da8a358121da99a5a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-23 13:19:29 -0500

    Update to the newest spec

commit 37a3f51b1d436f8c04c98a6964d79aba5b515c2d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-22 23:28:39 -0500

    The "streams-removed" signal has a reason argument now

commit dd0233dc0aa9a1168468d45cae77922f32588c4e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-22 23:18:13 -0500

    Ignore remote candidates before the initials credentials are in

commit e4f7eba953daff822840f3787b25e042cb4f125d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-22 23:17:51 -0500

    Use tp_value_array_build() correctly

commit fd2ae3128a28b4810405a45025e47335b24f6f9a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-22 22:47:39 -0500

    Add debug prints to TfCallStream

commit 83b244ab71cae54a4bad81ebb7bad05f4e17360f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-22 22:11:16 -0500

    Read the Sending/Receiving states in the GetAll

commit 54f2caec8837d35fba22a1c27c08ad53d02906e7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 22:07:41 -0500

    Keep ref to content proxy

commit f065c30685080fe0b5d3146c404303b95615d3bd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 21:35:45 -0500

    Delay stream creation until the user has had a chance to connect the src-pad-addes signal
    
    This is to prevent the race where buffers arrive real quick and the user hasn't had a chance to connect the signal before it is called.

commit a650e7397d97b0c820a060d03b9c57a7ea7488e7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 20:59:56 -0500

    Start receiving from the stream's creation if possible and requested
    
    We want to minimize the probability of packet loss by creating the stream
    in receive ready mode.

commit 2a9ebd8d6cb2cab2da69d3057b8d4e914dbf6a62
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 20:28:38 -0500

    Tell the application if a pause is temporary or permanent

commit 5082404aab6badf205e567c2454cbc5311c1a834
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 20:19:26 -0500

    Change the stream directionis as requested

commit 880ccf99e77c7d635a3da9c8b63238b301f5d595
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-12 20:19:02 -0500

    Correctly ignore the updated flag in the telepathy codecs

commit ac8cae2410b5ba8c59249d51ba0b53b79754ea9c
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-12-09 14:38:58 -0500

    Partial port to new volume interface

commit 1521a274b53bb7015421c312caaad335923cabe8
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-12-08 19:08:48 -0500

    Fix previous patch to compile with current code generator

commit 5dfab41ba7ae0ff0298fe28bbecb55e31c469f1b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-12-08 19:04:10 -0500

    Add separation between force and add candidates

commit 648784bede8db1fac5e8f14305d4a75e7044976f
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-12-08 18:47:11 -0500

    Port to new telephony event API

commit fb24a81c329bcdbb3766ccff982f02241e2ffd3a
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-12-08 18:26:53 -0500

    Fix build with installed incompatible version

commit e4e372b51d049f210cc5a54508fd294bf346948a
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-12-08 10:50:37 +0100

    Fix refcounting of TfContent

commit 30a272d6b04de58b21af1999f251c1338cacb25e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-12-07 18:06:53 +0000

    Actually complete the async init operation on success
    
    On error and normal finishing of the async operation the same operations
    need to happen, so no need to duplicate the code.
    
    As a side-effect this cause the async operation to actually finish in
    the success cases.

commit ee1affb1828c3de3bf807ac73a13bb8ddd9154ca
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-12-07 18:06:06 +0000

    Port the python callui example to Call1

commit e69aa40fe057fa6769caf3636040ef1d7c1e2f38
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-28 16:54:11 +0100

    misc fixes

commit 8ae01bcee805709ff3e250b4b19bbbe24ec30d64
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-28 16:53:52 +0100

    Start 0.2.x

commit c1d38f079183c6b33c124b04400984f5f9f0a92f
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-14 12:02:36 +0100

    Fix connectiong typo

commit b46aa5d21a8fef9f15531788c71dd3914c074acb
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-14 12:00:33 +0100

    tp_call_stream_get_remote_members() returns a TpContact->TpSendingState map

commit be275c179af47bd916f97b67b9ea631cadf8a407
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-14 11:41:03 +0100

    Use tp_call_channel_hangup_async() instead of corresponding tp_cli_

commit 6c1badeca33db73966163005796e966c5ce244ee
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-14 11:40:07 +0100

    Fix build warning
    
    gcc is not happy because it thinks that state_str could be used
    uninitialized, but it's not true.

commit 78672265c97a7eecab317ea185d6f1f191dcd4e9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-14 14:41:56 -0500

    Remove example dep on the extensions lib

commit 5531a87729b078538fc2da2c619e44fc76f479da
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-08 20:11:10 -0500

    Port to xclaessen's tp-glib branch

commit 03f8e008f0e72fe1fc3d5e2b4d1f17b77ba93f71
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-09 19:00:51 -0500

    Make the MediaSignalling mode work

commit 4eb7319798bbae58c2f3f4880c446c8f5183fbcb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-08 18:53:22 -0500

    Add methods to report sending and receiving failures

commit a4d0638f123d2752e56174632f89bd1a62087665
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-08 18:03:02 -0500

    Simplify tf_content_error by removing useless parameters

commit 7ee4b200763bbdab315fa796e31c8c7e9bf8774d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-08 17:25:21 -0500

    Use the parser API in the streams

commit fc8cfbe74386b198584adc52f64b7b258e82ba4f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-08 17:13:32 -0500

    Update to new message parser api

commit d0efff246a6668a28a2366e8ba483de99109b7ce
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 21:25:14 -0500

    Document interfaces by file

commit 92098d57b13ebad10f53e8b02daea8144eac4c5d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 21:19:02 -0500

    HasRemoteInformation is only set by the CM, so lets ignore it

commit 50462e1f31c66ff2bcd941b8942d9020ade0ca23
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 21:15:04 -0500

    Set all the attributes from FsCandidate to Call candidates

commit b3f1ba43b545087490ad1054ce62078f48fe64e4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 21:06:21 -0500

    Fully parse remote candidates

commit ea89416731bd3797d7b2b3abb06c8d614e36c6c9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 20:53:34 -0500

    Add more debug

commit 9d21b8967845226d4b1e9d03421752c690fcf180
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 20:50:56 -0500

    Print the local codecs

commit df64f42af4215dc12a58cb65e44dc00073c6f21f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 20:45:00 -0500

    Print something when the send codec changes

commit ce7355cf9369dc1f6f06dac11fff764e18b2ee94
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 17:46:35 -0400

    Implement DTMF support for Call Content

commit fc6d5ab1c00248e3d6fc2fa77b074d9842806e15
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-07 19:20:20 -0500

    Use the new GstMessage parsing functions

commit 12e2cac5777a13f94beb2a21efa7ad139b6dc989
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 20:12:24 -0400

    Implement rtcp-fb and rtp-hdrext in call1

commit 0da2edba2a44c6517ac746d051e24df5bf9d7902
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 19:59:45 -0400

    Put direction conversion in common utils.h

commit 3097a048e5a23f6592e69253073fa19660d09c80
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 19:07:55 -0400

    Set fully prefixed names

commit 9545232dc04ea04d74f217a4fa64e05e1cae3285
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 19:05:21 -0400

    Set the FurtherNegotiation and Updated flags correctly
    
    Also avoid doing unnecessary Updates

commit 37cd1208d68e689ab951b63713c25b16dc99e968
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 18:18:24 -0400

    Use the account manager to create a channel

commit 1810df294803111e972fc8f48de9936655374bd5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 18:16:19 -0400

    Farstream doesnt let you specify the dtmf type

commit 771bf0d291ac1e2b53249a2e836061c97b6d49e3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-11-03 17:49:04 -0400

    Print remote codecs

commit 298083e9ca93cb328501f5dae8131d1f8cfc610d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-10-13 18:43:30 -0400

    Port to Call1

commit a829144960de949e7601250a585ee38128f1231b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:55:31 +0000

    Master should go towards a 0.3 release

commit d2a1308fbbeb603e3103af8bcf6fd7fae6f8ac64
Merge: e225393 725e7a7
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:54:12 +0000

    Merge branch 'telepathy-farstream-0.1'

commit 725e7a79aa8340ddf08008c4740d66bd5867e005
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:42:16 +0000

    Don't try to preserve times

commit d038c4bdc7c7b2efe28f27434f01e85aba1af544
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:45:40 +0000

    Bump nano version

commit 4b686320a5873ccc53d8d942031fbe3a5cf1c0bc
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 10:38:40 +0000

    Version 0.1.2

commit 4a57295665df4fde9be62471da58ad631c241353
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:13:32 +0000

    Update the telepathy tools snapshot

commit f28972bf8ea7d42a4d4ba55b44114aff1bc80947
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 16:02:12 +0000

    Switch to automake 1.11 to make gtk-doc happy

commit 92dc8a89488d1f3bd7cb9c75604fa231e260bbef
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 14:11:44 +0000

    Require slightly newer gtk-doc

commit 538f29d85735d679e7b4cbe33836ff4dd9b77fd3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-18 11:21:05 +0000

    Fix out of tree documentation builds

commit 4e488aa1f09178abafbc4bf71e6fd4fc88adafb9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-16 18:49:50 +0000

    split request and reported properties

commit 9bdd6934dc5adb6305c69707ae4ef109c38c2f79
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-11-15 17:55:20 +0100

    Update to latest AudioControl spec

commit c4c97449fc5fafab32d65ce4d375537225b712c5
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-11-05 04:29:00 -0500

    set_property automatically notifies of a property change

commit 94b88eb21b1be16ad0683fe6c4854f04c691b388
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-09-12 02:10:49 -0500

    Use tp_simple_handler_new_with_am instead of the deprecated _new version

commit 5522978b39d674ada79b1fe45c9c9741f3369dcb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-09-01 01:42:57 -0500

    WIP: Respect 0 being unknown for volume properties

commit c038f34cb6ed4f23ac811db4812d90f19dd0ce53
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-08-08 22:47:54 -0500

    Support changing output volume via a volume element

commit 8574239a7f91071b2dd54411bce69fd03787fdda
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-08-05 15:46:14 -0500

    Use a range of 0 to 255 instead of 0 to 65536

commit 78ed9d7be88494fdd958fda09c42f89a1231a6dd
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-08-03 14:30:43 +0300

    Fix input/output mixup

commit 8bf26c3b3124619bd89ef00d9780bf6cab1fad75
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-08-01 11:43:25 -0500

    Use pulsesrc instead of audiotestsrc

commit 3ccb5651b6ec0924eee4b5244ee75f07d466ae38
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-08-01 08:40:58 -0500

    Respect AudioControl interface's audio-input property in the example

commit 53b79e8f6360fdbc3cd52279ae00443696e41ad0
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-07-22 00:23:15 -0500

    Abstract creating an audio source in the example client

commit 017e178f7aca7ee8ec346a6c7574b34eb3ab66f6
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-07-21 23:05:29 -0500

    Add bindings for the CallContent's AudioControl interface

commit 3426e3c0f34df7d94d27bad95d6683d2ad6de375
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-07-21 22:23:52 -0500

    Add Call_Content_Interface_Audio_Control extension

commit e225393827e6355ba9e29450e9fb4a878f519e23
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   2011-10-19 14:55:59 +1100

    Fix mistake in .pc.in file caused by search-replace
    
    s/farstream-0.10/farstream-0.1/

commit baad8e349cca500f7e62b9434f905c8d1a9b1611
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-10-13 20:02:46 -0400

    Remove the use of "codecs-ready"

commit c13ba74b064ce55edd29ccbc8060bc1401164083
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-10-11 19:21:17 -0400

    Rename to Farstream

commit adba0fd159c5af9ecac0e24f7575edf4bc85e56d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-12 16:26:18 -0400

    Renamed file from fs-conference-iface.h to fs-conference.h

commit 0ec8ece01671c3c77769384095b6d2eead0af30b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-12 16:25:59 -0400

    Use fs_stream_set_transmitter

commit 1ee54ac6c4b4978d6ec825e82446e6c729cccfbc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-12 16:25:19 -0400

    Replace set_remote_candidates() with add_remote_candidates()

commit aecc3d3de9c6a66e21e0ada1c5333470a8517711
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-12 16:24:52 -0400

    Replace FS_DTMF_METHOD_IN_BAND with FS_DTMF_METHOD_SOUND

commit bd103e29a899365da064e0e7abfa5b8fc2a6e665
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-12 16:17:53 -0400

    Remove pointless ABI section from FsCodec

commit 0d93a7cfeb15c82e249bd8dd0a4c4facabf1e87f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-05-05 15:30:13 -0400

    The READY state has been folded into CONNECTED

commit 959d9bb3c3cce96e87f9fc8145ef0d25997db082
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-05-05 15:21:24 -0400

    Remove special handling of ptime/maxptime

commit ed343fce80ed3c94fc4564b8f966650fe4965a12
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-25 21:01:22 -0400

    Try force_remote_candidates if set fails

commit 78428cec73f16e968e97b9a21b62ec9391fb7b7b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-25 21:01:04 -0400

    Remove debug-msg

commit a8c5ec83cfde10ab0088e883a36eed75d7bb66dc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-25 20:57:12 -0400

    Remove cname from new_participant

commit b18c023e92a30c6626e6281e5d0cc050104e4760
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-25 20:56:53 -0400

    Remove unknown_cname error

commit 9a3f5631b311ae51e81998af376d53107d1bd0ba
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-10-11 18:28:53 -0400

    Add a "restart-source" signal on TfContent

commit 16f58bd3c8647c691804bedae5e94b165a69b2e4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-09-07 18:05:21 -0400

    Transform the farsight2 renegotiate message into a restart-source signal

commit ed96fc1cf073eaa6ba21b1e55adc980e2cee4c46
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-28 14:29:22 -0400

    Add debug message on explicit state change

commit 566820521c266c2dcb72c12a660c03f49c8f4a06
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-01 16:59:47 +0100

    Only call CodecsUpdated() when config params have changed and the other side should be notified
    
    Also require farsight2 0.0.29 for the new comparison function

commit c53c03a059b359034627259b7edbcda720d629f4
Author: Laurent Bigonville <bigon@debian.org>
Date:   2011-08-01 10:22:26 +0100

    Fix linking with "ld --as-needed", as used on Ubuntu oneiric
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c9dc94e876e8ce90550e408b9a757407844a168d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-07-14 16:52:56 -0400

    version 0.1.1.1

commit 4157416592dbf8d5071a8444e831efc2154f99eb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-07-14 16:50:41 -0400

    version 0.1.1

commit a6980c3e2c1ff20af2d749ddaf240b8b0ae12ece
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-13 21:01:19 +0300

    Do not try to use a NULL hash table
    
    Normally, the contents are destroyed when the channel unrefs
    them at start of its _dispose routine.
    However, a content may be temporarily reffed while there are
    async operations in progress (eg, got_content_media_properties),
    When this happens, the unref does not destroy the content, which
    will only be disposed of later, at which point the channel will
    have been disposed, as the contents do not keep a ref on the
    channel.
    
    This patch fixes this by disposing the contents when the call
    channel goes, regardless of whether a ref is still being held,
    so that each content's conference will be put in the expected
    order as well as other cleanup. Checks are added where neeed
    to avoid using deleted data by the code that was still holding
    a ref.
    
    This scenario can happen rather easily when cancelling a call
    just after requesting it in meego-app-im.

commit 13b590a0ce6c73741f17fc2353caa03ab55d3a53
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-13 20:35:42 +0300

    Remove empty statements
    
    Likely a typo that got cut/pasted.

commit 32ce42b5c7fb459d5850522ab84f5c502ba97462
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-13 20:16:30 +0300

    Avoid using a NULL hash table
    
    This hash table is not set at object creation, so may be NULL
    if the object is disposed of quickly.

commit ffb477d971d43cf4e704d15c4faaee6047350994
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-12 19:58:04 +0300

    Avoid losing a ref on error
    
    The reference intended to hold self in the hash table should
    be removed when not actually adding to the hash table.

commit ea9b6a86ea88e96f1e35a964f11fc9e051836305
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-07-12 16:05:46 -0400

    Require newer farsight2 for rtp hdrext

commit f8376cac12e7025d56261c872e56c4a64610c9b4
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-11 17:51:49 +0300

    Fix crash when ending a call early
    
    The async result might hold the last ref to self, so hold on
    unreffing it till we're done using self.

commit 80d580a13645cd38cee928d2e9a8e6307c8be968
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-07-06 10:05:38 -0700

    Only emit valid resolution requests

commit 6eb6afc63b2b4c3e58629359ec03e2aa31af0616
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-07-04 17:51:32 -0400

    Trace gstreamer errors

commit dd8d882a87127a4f2bf85bd762ad5282b526bc9e
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-07-04 18:57:08 -0400

    Don't move to ready state on framerate change
    
    Doing so would freeze the video for a second wich looks glitchy. This
    change has the side effect that framerate will only be controlled by the
    videomaxrate element. This also work better with certain UVC webcam.

commit a7c2564c38e66dcff3124b19bc4617de558de2fc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-29 18:55:43 -0400

    Update python defs

commit 1f7844c582bbac3b5727a195c94fd7db7cb21989
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-07-04 14:27:33 -0400

    x264enc element define key-int-max as <= G_MAXINT

commit fecaa47a8755e6046f0b72fb4a357ec573127b6b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-07-04 09:22:39 -0700

    Get the initial VideoControl properties from the right interface

commit 4e6641b90279c70a79abaed86f4c5733a83adc97
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-06-29 22:55:11 -0400

    Only send when in sending state

commit da98f4aa78d83b3e7a14d7fb94b1259dd5c7f8ba
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-06-29 22:52:57 -0400

    Initialise value got from properties

commit f18afa02a5e37eeb56cab9b3b49a5f43bb34df05
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   2011-06-29 22:52:14 -0400

    Fix width and height property install

commit 32b36df54b4ea85c073ba9e336f6b63406ccf08f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-29 18:50:09 -0400

    Set the initial video resolution

commit 89d9404963588f40e26026ce637d9c6a160a7e14
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-27 13:42:11 -0400

    version 0.1.0.1

commit f01712de169528734a11efae80c7e4de1f8ece06
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-27 13:15:07 -0400

    version 0.1.0

commit ea21f6ab0511786a99418967516df732ae6134e9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-24 17:38:01 -0400

    Fixup docs

commit 4b4ca908468975f1c6ff7a47b56b0cd64d443f01
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-22 13:08:34 -0400

    Don't crash if named telephony event is sent before connecting

commit 1e4fe212884f8b6c36ab40297bfac4605ec85b53
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-01 17:00:41 +0100

    Run dispose from the main thread always

commit aa0caac9570eb1f1fdf5963cde6ac7430aa808a2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-05-30 13:51:26 +0300

    Remove set-but-unused variable

commit 1b38dfaf23e69b7923f1fdf3b5c8fd11c419ddba
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-05-16 18:57:23 -0400

    Set the rtp header extension preferences before the codec prefs
    
    The RTP header extension preferences are only taken into account when the
    codec preferences are changed.

commit d53954248f9eded799dc77878bdad6a9e2a816e3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-11 15:19:52 -0400

    Set Farsight2's default header extensions and codecs

commit e759815837a3e3d6fb11361c46bd91512f56078f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-05-11 13:06:06 -0400

    stream-get-codec-config signal does not have details, removing hint

commit a91aeaa232ae539113ae53e82839c5b89377e9fd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-22 17:10:09 -0500

    Set the local RTP header extensions

commit 864116bef0fcd580360801cb8e03ba77fce783cd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-22 16:05:45 -0500

    Set remote RTP Header extensions

commit 4dcd5e674761957936543fe9d94125e4bdeb6ed7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-22 15:19:49 -0500

    Set local Feedback Messages

commit 821cc2d1405218dffd583aaefeea320b9d3d97a7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-21 23:55:07 -0500

    Implement setting remote feedback messages

commit e59011dce54f326e3bf3f65847d1778b695e5f18
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-04-12 16:44:37 -0400

    Ensure there is a stop call before a start call always

commit 8bc2d188be226d677d67c0fb7d546ea6357fe8b6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-29 18:27:11 +0100

    Implement StartNamedTelephoneEvent

commit 9c2364c602d529824b25911361576efe9a3a7c96
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-29 18:26:51 +0100

    Return TRUE when messages are handled, a few were missing

commit f32687fe0364e2295d629feae1d68a2b18ed265d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-29 12:08:04 +0100

    Add StartSoundTelephonyEvent and StartNamedTelephonyEvent
    
    The sound variant has an implementation since its trivial

commit d673a724f145070a8e4576a0d806fc389372c1c9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-04-02 22:44:49 -0400

    python: Don't link to libpython
    
    Some distributions (Debian) link libpython statically into the python
    interpreter

commit 14a1e56cac324a2fbe64dba1c87822420d8615a1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-03-30 12:01:19 +0200

    async_method_callback_optional: also ignore NotImplemented errors (#35791)

commit e555b0175a322ae94ef7dd574e89789fa643b729
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-12 00:17:51 -0500

    Implement start/stop receiving in TfMediaSignallingContent

commit 0238e09f6e6e3f5962636857f0ea4185cd3b8717
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 23:08:20 -0500

    Add signals to start/stop receiving

commit 5362bfe4fa345a131f13a928765f86ee5b61d3d7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-12 00:06:00 -0500

    Implement iterate_src_pads in TfCallContent

commit 1554f2ffdd266542f40f2a93e96156e488506d17
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 23:21:04 -0500

    Implement iterate_src_pads for the media signalling content

commit 9dd5cfa5e51418b516109cc5f5c2f5113d20d723
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 23:17:16 -0500

    Add method to iterate src pads for a series of handles

commit 7f9ac82d58a04aec945f331be0be0928659a81fc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 16:13:19 -0500

    Set the default codec prefs on StreamHandler too

commit 5207e8120c1df164c587eb5730d672f3dce118a9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 15:56:26 -0500

    Export stream-id in media signalling content

commit 455dbfcb4f0065f8c0bc24c1f4dd5564edf7d7a0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-11 15:54:21 -0500

    Create/announce TfMediaSignallingContent as required

commit f081906f51cf20399cd17b1d376701e4b1e3f053
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-10 17:21:20 -0500

    Implement the TfContent api on top of TfStream

commit 9de505068df17515f6a5e35bbd4ab10f8206cad7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-10 15:51:08 -0500

    Remove tf_content_set_codec_preferences

commit 15bf8d8ec7375780bd4277e46a7f506b6217a7b3
Author: Paulo Pizarro <paulo.pizarro@gmail.com>
Date:   2011-03-02 15:47:09 -0300

    Saving TpChannel on creating TfMediaSignallingChannel
    
    Signed-off-by: Paulo Pizarro <paulo.pizarro@gmail.com>

commit 97185a7111694e8db993c52e4b740755df505796
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-10 15:43:07 -0500

    Don't leak the tpcodecs if we do Supported then Update

commit 152269698a731827789a1bd13ef4448e036f7557
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-24 17:12:20 -0400

    Update python defs for the error methods

commit 715d9c61c2ed93995e92add0b80e5a2a2fae8e0e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-10 09:50:02 -0700

    Clarify the FsConference reference counting slightly

commit aa32b795887c58a785cc0b2de8ad93154db7e3d7
Merge: bc299ca 63b264b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-10 09:32:35 -0700

    Merge remote-tracking branch 'vincent/leak'

commit 63b264b920989ae22c237287cbbd4cdd707bef69
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-06-10 15:33:14 +0300

    Fix FsParticipant leak
    
    When getting a participant that already exists, the FsParticipant
    to which it corresponds is reffed, but not unreffed in the put
    function.

commit 9cf402f1d4971fdee7a7676e9dc3b0391a12c881
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-06-10 15:32:11 +0300

    Fix FsConference ref leak
    
    When getting a conference that already exists, it is reffed,
    but the corresponding put did not unref it.

commit bc299ca706f51adee1fb18819e5512d89c701a99
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-10 01:54:44 +0300

    Don't shadow variables. Causes the CallFsStream not to be freed

commit 5540bacd3337939a2491dbadf673296d263209a6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-07 16:05:16 -0700

    Remove stray debugging printf

commit c56f813a6ec08200f347b4b12d815fb4363fbaea
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-07 15:53:09 -0700

    If the element has an intra-period, set that to 0 for manual keyframes

commit 14012038fd3464c443363e67b28bb355fae22c37
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-07 15:46:49 -0700

    Fix typo in default resolution

commit bac3e751a89d02c221d26931011e39460eebdbae
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-06-03 10:39:04 -0700

    Handle resolution changes
    
    For resolution changes go set the video element NULL instead of just to
    READY, otherwise at least logitech cameras seem to get confused

commit 39bd4c977d184a18ad732987ad0f4edb9df270c5
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-23 11:36:30 +0200

    Add signals/properties for resolution changing based on the VideoControl interface

commit 9e2e1251fa23bb59c4c5dc374b67db5cde059663
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-20 13:36:35 +0200

    Let the example call handler react to framerate changes

commit 1775817309e6be0c5e0555a0f31fea450e24f5f0
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-20 13:32:36 +0200

    Signal framerate changes

commit 15bad43bdba634f16593b0b1eb733de717f23492
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-20 10:41:43 +0200

    Set the keyframe interval to maximum if we're using manual keyframes

commit c9652378db8d953ef64489b4f923152e5ecfa4bf
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-19 12:46:47 +0100

    Implement keyframe requests

commit 2e3a8a66590da8802f356dab58c1d52f1fc59c80
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-18 18:14:14 +0100

    First iteration at implementing the VideoControl interface
    
    Check for the VideoControl interface and listen to the various
    properties. Also implement setting the bitrate and the MTU based on the
    VideoControl interface

commit eae3eacc53f5c5c7b7f8b7082209b16a11093525
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-16 13:18:56 +0100

    Add various call related capabilities

commit fb590a7152e5c3ae2f1504ab35bbf13d943b07f8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-02 12:04:45 +0100

    Don't do the src_pad_added dance while cleaning up

commit 1df97c3a2f5ae3811a659b31e22936da925d6658
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   2011-06-02 11:45:38 +0100

    Don't hold the Content lock while freeing a FsStream
    
    Freeing the stream will push out a EOS event, which may cause src_pad_added to be
    called if there is no src pad yet. Which will take the Content lock, which causes a deadlock.

commit 82cff52bc48921370fdc6326f8f588fe94f383cf
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-19 11:08:00 +0100

    Cope with failing to get the media properties

commit 55826d0cd8f193e430b26140d191a8ab03ec8588
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-19 11:07:33 +0100

    Ensure the CallChannel stays alive while asynchronously creating contents

commit 600ce76260a037b54a575814b28872fa3bbf7334
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-04-06 14:17:57 +0300

    do not keep a pointer to an unreferenced object
    
    On success, the pointer is overwritten without refcount changes,
    but on error, the offer is unreffed, and the current_offer pointer
    would be left dangling.

commit 129a4b8839ee96eae216293ee2e1862a3c2a6d07
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-29 16:37:22 +0100

    Add videocontrol interface

commit 77a6630e712de63d6a8179a58db02278715cd570
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-23 16:43:11 -0400

    Remove public tf_channel_error

commit ae8135a0ef7787144900a8b68f29921bd1588705
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-23 16:34:30 -0400

    Use tf_content_error_literal instead of _printf

commit 3c21ac38683e1ab7ae460112d100f1b270d611cd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-23 16:21:50 -0400

    Don't leak GError

commit 08c8b46511fb0d7566318918d39ac8d8ca07eb19
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-12 00:42:05 -0500

    Move the printf content error function to the base class

commit 1dc12caf46a72d2d9fb82e131188c19fc27a6747
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-14 11:52:50 +0000

    Correctly handle bus-message even after the channel has been closed

commit 5b2277a945beb0663fbd1e0b4eaeb134a1578322
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-08 21:25:32 -0500

    Make sure the same content isn't added twice

commit 9f4712e170a57059a425e59eb90059cd60d72d17
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-08 21:25:20 -0500

    Work around async_init's ref handling

commit 117ba2c94fab63126c0088f9f1d1e6471ed41d2f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-08 20:10:00 -0500

    Add object-path property to TfContent

commit f9d40a0da524bf81504ea63ece3284ac36665b1c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-08 19:03:27 -0500

    Don't leak GAsyncResult

commit 2150b050c5d2af0e6435df67104db60293191b63
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-10 15:58:54 -0500

    callcontent: Missing break;

commit fed8a8acc0442a123f703b5833add7fe419e9ff0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-03-08 18:16:38 -0500

    Require newer farsight2 for defaults

commit b6ef3ec4afe9f0e9990706d1ad700eb3348cf79b
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-24 14:32:20 +0000

    Gracefully fail if a Content doesn't have the Interfaces property

commit c4648e8e8a92e6e58da937f59519c7660cc889f6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 14:08:08 +0000

    Use autovideosrc and change the default resolution to 320x240

commit 92e03020b6460a64e91ff3c7882c240eec128fee
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-18 19:05:33 +0000

    Use gio explicitely

commit 35ecf76cbcdaddfcdb4a375aee2dc29d8805f50d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 19:38:31 +0000

    Also update the pacakge name to farstream

commit 50b0c1c8ba4f14ac24deafb639b8b5d4703bb197
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 19:33:17 +0000

    Add long and short description

commit 70ad138db11d6fad3bb6616e3c52190957808559
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 19:31:59 +0000

    Add tf_init in the sections document

commit b6c0fa8f6dc3d9ee5f5d74fc49574dbb13a5874d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 19:31:44 +0000

    Spell out which files to ignore, it's not a glob

commit 405ccfa026539ab212a98883156e789d3ba7966f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 18:40:21 +0000

    Add missing files

commit ed909918bef6a8e322c938e4a5c8022fda470ed2
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 18:40:06 +0000

    Add missing files and buildflags

commit 8ec78ddc87c3835ca903b9c02a30ed9fa5336953
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-15 18:39:49 +0000

    Add input filters

commit 8f732b68de7e6df9a5ee5be8a66b0ccc08c36df3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 15:33:05 +0000

    Don't use glib 2.28 functions

commit 87bb43796eff657184608497351ff20a4bbb561e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 15:32:47 +0000

    Handle not having default properties for a conference

commit 1341f1f2e6a71fcd155289c638187c0f87d87dab
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 15:32:18 +0000

    Check return codes from _link and _set_state functions

commit 3d0039c8a75625b5f96821abd70c4b500300bd68
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 15:10:02 +0000

    Don't leak the bus

commit 73d1bea82e65d587d5ee7895cf9b9facea6c2b92
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 14:32:38 +0000

    Default Codec preferences are now done by telepathy-farstream

commit 79ea72e16d3eada53c66c681c718621ec6b3dfe8
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-14 14:31:47 +0000

    example: Use one notifier per conference with default property setting

commit 8d4778ce5fca84029ce06a2379732ab564f55536
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-12 13:53:51 +0000

    Update .gitignore

commit dcdbe199fc85f798863a534aa9040741c0f92dec
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-10 13:24:34 +0000

    Add a C example of tp-farstream usage

commit 60cd85bf6df1c5ca249df4827607b2ce5d647591
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-10 23:28:54 +0000

    Set the default preferences early so the user can override them

commit bf9b00e81bed0dfd20a8a40791c63495ab2255e1
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-10 18:41:56 +0000

    Don't connect to invalidated twice

commit 71fdcc4f824ef859c681580d137745601997ce39
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-10 18:41:35 +0000

    Shut down the channel if preparing the CallChannel failed

commit c5ff6db45aa24de502551d5ecebfc3e9ea0b2ee5
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-10 18:40:21 +0000

    Keep a ref to the channel proxy

commit b97b54ce7cb839c3e78113a9f953cc2c4fad8467
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-10 18:00:59 +0000

    Don't use guint16 values for ports.
    
    GLib doesn't have a GType for uint16, so when getting/sending them over
    dbus they're represented using normal uints. Which is mostly fine,
    except when using tp_value_array_unpack and it tries to scribble a 32
    bit value in your 16 bit variable :(

commit acb5a24c7a847186b633c51b9f0391f41532d447
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-09 16:32:03 +0000

    Delay Accepting offers until we've given its codecs to farsight

commit a4762f75c47a36551400722c02ef0476a7245770
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-09 16:25:41 +0000

    complete theasync operation, after retrieving the contents

commit 9d2a1167b7781233476c9e7633646532f3fec284
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-09 16:19:02 +0000

    Don't unref self after the callback, it's not our ref

commit 5fafb3e2f0cc11e0584083ca4aa00fa3625b4e60
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-09 16:34:30 +0000

    Also export tf_init

commit 93352efb5a098efc53f2f72683f47cba1e0cd8e8
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   2011-02-09 13:25:38 +0000

    Install telepathy-farstream.h

commit 4658c7a6deb8e178469ef3e9345abcef09cc80a2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-09 11:48:30 +0000

    Only export TfChannel and TfContent functions

commit 7359f5234b960b55899357cab4f09d5642e4b045
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-09 11:47:00 +0000

    Update python bindings to not use TfStream

commit a72cc6373efb54af8f8f5e44ff32624f81f8f42a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-09 11:46:40 +0000

    The TfContent API actually requires farstream headers

commit edfdeafcabc50f23d3b25277bcbda150550610b1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-02-09 11:21:13 +0000

    Do not install stream.h, its not part of the public API anymore

commit 70fbb61b54746e7bd054002329582c4e635f6bea
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-04 15:04:51 +0000

    Remove random empty line

commit 14380d66669d121baa1893889b2ae921d6a4f7b3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-04 15:04:24 +0000

    Unify error handling and correct refcounting

commit 09151539f52ce0162acd68907ee6d0f67d75aff9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-04 15:00:50 +0000

    Drop the ref we get from g_async_result_get_source_object

commit 499e9edd52be2871b489da760323b3cf33638d75
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 17:06:15 +0000

    Remove stray debug prints

commit 6fccefac665ed9670299dadc5e7b7650b756e6fd
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 17:05:58 +0000

    Add a queue after the audio testsrc

commit 57fb0540f2ec4cb1766c2237ba55ed094b0b2350
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 17:05:04 +0000

    Show state changed and clean up when the Call is Ended

commit 032c90e17848bec12e89920820cc1c6d681c967d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 17:03:25 +0000

    Cope more gracefully if we can't create a conference element

commit 70376733dde8485e5d321ee4d1cfeba91b89301d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 17:01:56 +0000

    Let the async init functions fully take over ownership
    
    When asynchronously creating a GObject the ownership of the object which
    was just created should be passed on the the aync functions, while will
    eventually pass it on the he caller as part of the result callback.

commit 22de80f837de7319a634cbff389bb2aeb002d3b9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 16:57:10 +0000

    Ensure the AsyncResults gets unreffed in error paths as well

commit 669c36995f878aa29e2b877ccaa1605f2d7c9ff6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-03 16:51:31 +0000

    Unref the CallChannel on shutdown

commit b9ed78ed24e3334844a8234ead27974cb82fb801
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-02 19:01:26 +0000

    Enable local candidate generation in the shm transmitter

commit b258608e4c28ac297e7ffdd42b75a61f69eecbe8
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-01-31 15:54:46 -0600

    HACK: Force outgoing video resolution to 640x480.

commit 6b4dac9929f20d4ad21f510f93e01527a6003e0e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-02 10:50:35 +0000

    Make _add_remote_candidate function plural as we can add multiple candidates

commit cf5c9c5d2e42862be8f1fbbac66b90cf5640bb00
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-02 10:50:00 +0000

    Prevent accidentally triggering an ICE restart

commit 2c91e2858ada6667e31d151e9c5e21bd524aeb55
Merge: aa9e844 8352bbd
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 16:30:01 +0000

    Merge branch 'initialization'

commit aa9e8445fe220489781a9d8ad6f713f85d9408d6
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-01-30 19:52:26 -0600

    Fix assertion from FsRawSession not overriding set_codec_preferences

commit 09bdd9822c6584a4a17f6817fcf6a3f1f1b18e18
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-01-30 19:17:39 -0600

    Silence warnings.

commit 8352bbd952628ae0b896f46d751157336b8410fb
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 14:20:55 +0000

    Correct the fd.o bugs url

commit 40572657bf182cb27e35780d71ffcf57ef864765
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 14:18:46 +0000

    Add global header and global init function
    
    Because we're using extensions we need to initialize telepathy-farstream
    early on so the various extra D-Bus interfaces are registered before the
    proxies are generated.
    
    Take this opportunity to add a global header, so users only have to
    include one header.

commit 2b7df0d00169682c535ebb0083601cc87ecdf102
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 14:17:14 +0000

    Need to depend on Gst for GstMessage definition

commit 57b5a0b77144b05e90d387ff4ad0e9d05ce5dc54
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 13:22:55 +0000

    Update the python example for new signal naming

commit e4cbaaedebfae2f815c2d12367b6df2038b4b6ce
Author: Mateu Batle <mateu.batle@collabora.co.uk>
Date:   2011-02-01 07:59:53 -0500

    Changed signal names to conform style guide (add -> added, remove -> removed)

commit 3651cb7e62879ae712f9d73f4fff18b1ce41fb77
Author: Mateu Batle <mateu.batle@collabora.co.uk>
Date:   2011-01-28 12:33:01 -0500

    Fixed missing CFLAGS in makefiles

commit 95a778f623465d353b5abfd685cf7b51fbf69c52
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 13:14:24 +0000

    Update spec snapshot

commit 7043e2a80d63c230f9f832bcc08af2f0a3bf3896
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-01 10:06:22 +0000

    Renaming telepathy-farsight to telepathy-farstream
    
    We've wanted to renaming farsight to farstream for a while now.
    Implementing Call breaks tp-farsight API/ABI, so this seems like a good
    time to do the renaming. Farsight itself should follow in the next few
    weeks.

commit 85bb52b9edfef4d1536b1282affdf7c617bb31c7
Author: Mateu Batle <mateu.batle@collabora.co.uk>
Date:   2011-01-27 11:30:06 -0500

    Fixed some compile warnings by including stdlib

commit 172b30261d06bd2f642efcd2622e0e10804dcfe9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 20:07:45 +0000

    Add small python example

commit 0ea52823daa16ec80b201de0b4d2a1c950f79991
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:25:27 +0000

    Freshly autogenerated bindings

commit 6459abfdb57a532c177083491426c81556f19d11
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:25:07 +0000

    Update filter definitions

commit a4fcec092799be874c0c7f4c2164f64cba2c455d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:24:46 +0000

    Update the override file for channel_new_async and tf_content_set_codec_preferences

commit a831fadb54c95e649e1cb95fad7f2392a967e0e5
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:24:04 +0000

    Add content.h to the files to generate code with

commit bcc75033f7539f2a7f3df3c1b7baf22dc614827c
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:22:29 +0000

    The fssession property is codec-ready, not ready

commit 1342ead77d5e48bbcbd10fffae28bf8cfebb95e3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:19:48 +0000

    Seperate the various stages of codec processing, so they can be done when needed

commit f6ce81a5a5976b9cc33d7dcf947573365e7ab517
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 19:12:39 +0000

    Deal with packetization being on the media interface

commit 7a864f3b2a9654485180940d5db8b42db0d44d18
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 16:05:24 +0000

    Use tp_asv_new instead of g_hash_table_new_full

commit d737df673f40cccd9f02670f3ab0e737e7743c01
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 16:04:48 +0000

    Use correct types for the stream interfaces

commit 5c3d2c8f2823ad36adc03f639dc1a2cd7d672388
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 16:03:47 +0000

    Zero dynamically allocated Parameters to keep GLib from complaining

commit 9efb04bf4334c6f4ee995ae24463c73e906f9db9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 16:02:18 +0000

    Don't use the UIs sending methods for media errors

commit dba0296553a3a460cd4f587ed799979cd03e9d24
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 15:56:04 +0000

    Implement media-type and tf-channel properties

commit 9c3b11449c5b157ee5ce36629222e79e412cdac1
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 15:32:52 +0000

    Do a runtime cast/typecheck

commit 6e6cfc3669e4e02fdd34b55e6208310415b7db6d
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 15:04:18 +0000

    Remove spurious newlines

commit 417f007e6de1bb878b98df0b54368d0119db1b12
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 15:02:10 +0000

    fs-conferences is boxed not Gobject

commit 311ff040c42af0b245af320a6b874ea3c5d33981
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 14:56:21 +0000

    Add a media-type property for subclasses to override

commit 0160ab2d763a55c2a29e04182bcc8f14626b9dc3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 14:56:00 +0000

    Add a dummy get_property to TfContent otherwise GObject gets upset

commit 178c552c889aa04e13cf9c9e570fbec32f3930f0
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 14:54:55 +0000

    Also pass bus message on to call-channels

commit 08f4a2fce03a433cb0cd85f28b817c46815faad4
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 14:54:32 +0000

    fs-conferences is a boxed property, not object

commit e140d2c99aa4be830d9eb42f6f4dba71a560260a
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-26 14:54:15 +0000

    content_{remove,added} have a TfContent as a secord argument

commit fbb2f156425fbf730b52061579b278652eb44f1d
Merge: b85a732 412fbe9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 23:35:30 +0000

    Merge branch 'call' of git+ssh://git.collabora.co.uk/git/user/tester/telepathy-farsight into call

commit 412fbe980ff6cad07d45ebf910afba5ee135a2b0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-17 18:32:29 -0500

    CallContent: Use sending_count from parent

commit b85a732d52f3a630162082def1b114549caf33a7
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 15:13:23 +0000

    Update call spec version

commit e784ddd2f83150c3231de5573a4fd98e17b987ee
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-12 17:38:19 -0500

    CallStream: Request sending resource when required

commit 5bc0ffc5bc7cfd288ef69b6ef91fe6e1a3623341
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-12 17:37:51 -0500

    Content: Make the sending request into a counter

commit 3d1e6d6ef69914710483aef113cf66c8ce0f2e4a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-12 17:29:39 -0500

    CallStream: Use single function to sending state changes

commit afd09f57ab84ef69199eea041f5ee73664dcc62f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-12 16:29:44 -0500

    Content: Use a single handle in src-pad-added

commit 11a4db73586c7ca33f10d359423464ae919c00b6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-11 18:37:01 -0500

    Call: Set the direction to sending following LocalSendingState

commit d16ea713a18cce813402707e828c5c8c7156d485
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-11 18:24:39 -0500

    CallStream: Don'T stop receiving based on members count

commit 7a60be12b62962b4bdabaaaebd0620d075713b07
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-11 18:17:20 -0500

    stream.h no longer part of the public api

commit e708acb6b537faa2b2d8202d0d3a810b95af36ec
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-11 18:15:00 -0500

    CallContent: Always receive (hold will come later)

commit 4abd33ef2367a87c9fa7b196e38df82d2ab5127c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-03 17:02:13 -0500

    Add documentation for Call-style API

commit b3467acb3955e2afb05ab46f8d45d3ddaea78264
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-03 16:29:55 -0500

    TfChannel: Remove get-codec-config signal

commit 08d4f87ce43d70296a52ad216ae11cadf20df1e5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-03 16:10:07 -0500

    Make CallContent initialization async

commit 6cb2e7a8ff00e0b10b754d05af34e7e4bfd0165f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-03 13:17:15 -0500

    CallContent: Implement setting the codec preferences

commit 45c97c77ca57b426b3a193ed144f729e88754f16
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2011-01-03 12:59:51 -0500

    Add set_codec_prefs to TfContent

commit 18b975b2b4d541763ce186af5a5aac4d56b87e63
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 17:23:57 -0500

    callcontent: Pass along src-pad-added

commit 9a952af0f698cfba681b76d0cd9cf56a76b2cea2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 17:05:52 -0500

    callcontent: Lock CallFsStreams

commit 3ddc09de134054a3f898a9998ca7377d27e4ebdf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 16:15:01 -0500

    content: Add src-pad-added signal

commit 86b4375c5960dcc6ec918999c4fda3681ef471db
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 15:25:17 -0500

    CallContent: Implement sink-pad property

commit 75644f79eafecc9e3359cb2ea93c6f97cbc4a9e7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 15:12:58 -0500

    TfContent: Add start/stop-sending signals

commit 6317047767e000d32f022f6fdd5d94dfac635e45
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 14:29:01 -0500

    Remove duplicated call

commit 34ff9bf273d227a0e532ae78c919c56106700106
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 14:25:11 -0500

    channel: Emit content-added/removed signals

commit 9a39cce45fd14a9c0669ea2c36ba2e5ac8a03db7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-30 14:09:45 -0500

    Make TfCallContent derive from abstract TfContent

commit 4febe45422ef1915bea3c4472ca7f0a7c7d3fe3d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-29 14:59:54 -0500

    Add TfContent object

commit 7572f02bc76a944a230e8ca3b1de6a2a9ca22f11
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-29 14:23:48 -0500

    TfCallChannel: Add content-added/removed signals

commit cb78eb85092471f945bf3a54c585128d5bb3f29c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-29 14:23:23 -0500

    TfCallContent: Complete renaming the macros

commit f852c79b1fd86a9edcece6f70fc48037f1c38939
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-28 18:16:08 -0500

    Make TfCallChannel use GAsyncInitable

commit 373232b8316309ab453aa9321158b4bf11ab5c54
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-28 17:14:48 -0500

    Make TfChannel use GAsyncInitable

commit dec81f0a245f1e228ada0cad363da595c828b7ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-28 14:36:44 -0500

    Add signals to give conferences to the application

commit b53e8a3888bbf588bb0da26426944eaa8339b90a
Merge: 6396a58 ef455a2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-28 14:33:26 -0500

    Merge branch 'master' into call
    
    Conflicts:
    	telepathy-farsight/stream.c

commit ef455a2b9b95999dd7bd9dbdf43c7e3177fb50ad
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-22 12:52:55 -0500

    version 0.0.16.1

commit b385980ff101fd6495a667f27fa1a9a07cad1be8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-12-22 12:50:23 -0500

    version 0.0.16

commit b65cfc3e2a43bd3af403ede70ecb4e2838979406
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2010-12-05 19:56:51 +0000

    Ensure CodecsUpdated is always called when needed
    
    For a CM calling SupportedCodecs after local codecs have been set is only
    expected to contain the intersection of the remote codecs with the existing set
    of codecs. Specifically it's unexpected for codecs to change their parameters.
    
    This means there is a race when remote codecs are updated and at the same time
    the local codecs are updated, as telepathy-farsight tried to ensure to only
    send a set of codecs once (via either SupportedCodecs, CodecsUpdated or Ready).
    To fix this always call CodecsUpdated when the list of codecs has changed after
    the initial set of codecs was sent.

commit ca3b450d1269c3fa1a1254fd25978edd1cfe1c06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-11-17 15:57:11 -0500

    Don't print an error message when optional methods are not implemented

commit dfffe650078175f099001f9bc14a3daf0c7e2350
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-11-17 15:50:09 -0500

    Print the right error message for NewActiveTransportPair

commit 341624337f19078e946622427634e0b54a54aac3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-11-17 17:04:07 +0000

    Use tp_dbus_daemon_dup instead of tp_get_bus

commit 33c09394dd965de82e76323160ee563ee033f9fb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-11-12 14:37:59 -0500

    Compare with the right enum in the DEBUG/WARNING macros

commit b04e3969381b215ab72a701d235e312366bbaa74
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-11-12 13:48:10 -0500

    Don't try to free a possibly NULL member

commit 68f32a42602806560ca4e4bea3e3d3d3084f5a09
Author: Louis-Francis Ratté-Boulianne <louis-francis.ratte-boulianne@collabora.co.uk>
Date:   2010-11-12 12:05:31 -0500

    Remove code duplication for candidate type and network protocol conversion

commit 75e3ce87dc7326a941048bc8da99f0b6fe0f8ea0
Author: Louis-Francis Ratté-Boulianne <louis-francis.ratte-boulianne@collabora.co.uk>
Date:   2010-11-10 16:27:08 -0500

    Emit NewActiveTransportPair signal when selecting new candidates pair

commit 6396a580f6e6ba441a13ce144eecd9697b2ef428
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 21:30:20 -0400

    Add handle of local candidates and other stream bus messages

commit d9ce446b05e214cca52a71f66cceb90e169505b1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 20:39:10 -0400

    Manage endpoints and remote candidates

commit b97cd0f93777c931cb6b8c879f6af776cbecc546
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 17:20:36 -0400

    Create FsStream when it is possible to do so

commit b8ea9771f835170f738f4a69f13a7e95f1e6caf5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 16:18:23 -0400

    Track Stream members and directions

commit a97d688c1f23762579aefb0b0dfb296791563e48
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 15:38:08 -0400

    Create stream objects

commit a0f4702d0d8948b670ef4907dec75141b307398b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 15:34:38 -0400

    Add CallStream object

commit 6c2832d0d307fb39a9b3caedba7f4d4bebb32cfe
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 15:01:18 -0400

    Complete processing of the codec offers

commit 515b3a2ed238280513c9e3bb80b5fcdb4ffc352a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 14:42:49 -0400

    Add functions to handle FsStreams

commit b63b431c01749f2607db0a1e9c7dd42507a13399
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 18:11:09 +0000

    Add ability to create FsParticipant objects

commit 443e73b1e9172b7b0c5d6495859a16d93669e5ed
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 17:38:56 +0000

    Add first part of CodecOffer handling

commit 301e9107b153ca4a5330dd28656afd6c4950094b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 16:41:21 +0000

    Remove svc stuff from generated material

commit 3beaccedeffaaee0a2b1d665e80837053b1f0754
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 16:12:33 +0000

    Update CodecOffer spec again

commit 89b80e02d5844499c3b9c61f0f38fbc96bf06605
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 15:52:46 +0000

    Respond to Content errors by removing the Content

commit 95811d1b48b31654c0d9512e9413b5a2c77e356d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 15:23:03 +0000

    Add property to get FsConference from Content

commit 87f7a20a9e4e51b8bffb450068dbd3eef3798f82
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 13:40:53 +0000

    Add support for multiple FsConference of different types in the same Call

commit f5d547eef80fe665dea8744017888c5e663feb87
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 10:54:22 +0000

    Ignore Channel that have hardware streaming set to true

commit 2bed39cdbf1a8df7fe962871717350aac8640e9d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-29 12:08:04 +0100

    Update existing Call code to newer spec

commit dc9abfe43758b174abebd51526d385ebde73d547
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-10-31 10:33:24 +0000

    Update Call extensions to newest version

commit 7ac98bbb74293282eb8a798ba1e8ce6eddaefd53
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 14:14:41 -0400

    Remove cname error, Farsight2 doesnt produce it anymore

commit 6685efc3f7f91ac90e0570feb97c38c81c026fb0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 14:10:18 -0400

    Pass buss messages to contents

commit 2b752832d1fc05d6c45692dc82b90431071db466
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 14:07:19 -0400

    Remove trailing whitespace

commit 44cce206688b8ead9f75b34db6d87c3517fe7ae6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 14:06:20 -0400

    Set the local codecs on the Content object

commit a6026ec1c359c1cb8d73f7268567174cc62d1bae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 13:32:44 -0400

    Rename TfContent to TfCallContent

commit f4866a729edf34ccd30f7475897a20603d64cd97
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 13:21:11 -0400

    Retrive media properties on the Content

commit 75ce8a5313893cdbc9b3b63b609a96bbe909b86b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 12:59:26 -0400

    Check that Media Interface is there in Content

commit 8f49466c9e65e02659039ea58b33819f77b05110
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 12:52:02 -0400

    Add Content object

commit d3bd1e5b1b6ad8ffa76511b2e60e4067b9c13e37
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 11:53:03 -0400

    Handle bus messages for fsrtpconference in Call

commit c3d195c6f510a6a0a6525567694a0e4ff4d53b99
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 11:42:26 -0400

    Create fsconference for call channels

commit c68d98ad543c07f79f88b19f5120a71eae1d19f6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 11:26:38 -0400

    CodecOffer: Only allow one contact to change its codecs at one time
    
    Multiple contacts changing their codecs will have to come as multiple
    codec offers.

commit f498983aa58d12a193f188fd003a2c268eb5e854
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 11:06:28 -0400

    Add Call Chanel object

commit fdfd38ee5d6828b9af76f4775f36e6ef103431ed
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 09:44:37 -0400

    Add call channel class

commit b26b0225ed5e79d1f1d11705611dd15c368b32c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 09:44:23 -0400

    Stylistic fixes

commit 89833914ea7c7de32bbc90ee33a4cc988fdecadf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 09:38:25 -0400

    Put the generated extensions code in the TfFuture namespace

commit 0847b44e37bdfc01ea937cdc542ecd880d503c14
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 09:21:23 -0400

    Import code generator from tp-glib

commit 0c471fe55ac4bbedcc4a1acccb0cc2477a7279f1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-15 08:49:54 -0400

    Have TfChannel give the FsConference to the user

commit 58946f1d8f4b2c395582c9304027b666e2ea1652
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-14 22:06:20 +0200

    Force to have only oneSessionHandler

commit c980f033055d1924e1b7af0ef42b9e962a7dee1f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-14 21:43:51 +0200

    Move MediaSignalling specific part of TfChannel into its own class

commit 81232ee83f632a3636626060db11e41bad4e455e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-14 21:02:07 +0200

    Use tp_channel_call_when_ready

commit c7b73afde338c9d1349fb61d62d867c3b8318324
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-08-14 20:43:34 +0200

    channel: Remove unused private member media_signalling_proxy

commit ffde4266df6faf3c8bcbd645a13a77d0dae72db0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-09-10 16:44:18 +0300

    Version 0.0.15.1

commit 81057367ed314e649c0aef4391c3f3248fa310cc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-09-10 15:09:24 +0300

    Version 0.0.15

commit 13c24e193b808f3b9f47acdafdd0fccb043b2d6f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-09-10 16:39:18 +0300

    Hide non-public objects from gtk-doc
    
    Makes "make check" for gtk-doc happy

commit 3332fe6e7e0abbd0fd4e690aff6358d21480d4e3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-07-16 16:38:56 -0400

    Release camera when on SetStreamSending(False)

commit 7516373857eef688e56967e9df83e1678bd7c1b0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-01-08 13:54:04 -0500

    Add more details to debug messages

commit 64ebb9cf7c9c8f88ca912bf8b40512b069fbfc40
Author: Olivier Crête <tester@tester.ca>
Date:   2010-05-26 22:43:06 -0400

    Version 0.0.14.1

commit 75684548d1aeba47763784edcefba8d692ad1ef3
Author: Olivier Crête <tester@tester.ca>
Date:   2010-05-26 22:39:09 -0400

    Version 0.0.14

commit 12805859a007b91fd40e52420b28f17ea68a8001
Author: Olivier Crête <tester@tester.ca>
Date:   2010-05-26 22:16:10 -0400

    Only set the controlling-mode for the nice transmitter

commit 6bd60032c03d86516d1144ac250ec1eb7f10fe92
Author: Olivier Crête <tester@tester.ca>
Date:   2010-05-26 22:03:01 -0400

    Use silence rules if possible

commit f27397da8a3d291e5857e1d7a070e4154b01dc03
Author: Olivier Crête <tester@tester.ca>
Date:   2010-05-26 21:59:55 -0400

    Make it compile with -Wshadow

commit b46186bc4c21e58b34d30e115914bb4bc12e3af0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-02-23 20:11:38 -0500

    Add property to get the Farsight Session

commit 35f16c6ede1383f9003f38c7e2608e8dbde67983
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-02-23 19:38:10 -0500

    Add property to get the Farsight Stream

commit d6fb9ed6c592a76efdedae9197d86321b6fcecfa
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-02-18 17:46:03 -0500

    Ignore empty strings in tp properties (treat them as NULL)

commit 95d500aa3e4000f963419fd776592e829e7805a2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-01-14 15:52:12 -0500

    Recognize "shm" nat traversal as "shm" transmitter

commit 9dac5229811d5b7bf6401558957579e7107356f2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-01-05 14:12:07 -0500

    Version 0.0.13.1

commit bd7be4cdc2e2ea26101458738eaa2db91cadb345
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-01-05 14:03:55 -0500

    Version 0.0.13

commit bb656de6bd913dea6dbd572d7e578e6fc605183f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2010-01-05 14:02:27 -0500

    Require farsight2 0.0.17 for ptime/maxptime

commit 77884843668654e4ba05614aecb0bc9fce107699
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-11-10 19:38:00 -0500

    Export held resources

commit d4795af1a73e6d220bd05baf153f12cb62a0d23c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-12-31 17:50:40 -0500

    Get ptime/maxptime from the TP optional properties on the codecs

commit f929447c16feaabeb2524d134f7e700d5c6352c0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-12-31 17:49:56 -0500

    Set ptime/maxptime as optional parameters on the TP codetc

commit 8fbd8761f693cb02914ecad3da2eed441364955d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-10-15 15:56:51 -0400

    Version 0.0.12.1

commit 08d747cd2d5915b317bb3bc4d3b38096889a747f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-10-15 15:52:45 -0400

    Version 0.0.12

commit 67a99e644ee6a0bd890c4fc7121ade3f96ca8a21
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-10-01 14:21:17 -0400

    tp-fs: Connected isn't really connected

commit c9565b7a0ab68d86b3a784db5b06d893393580a5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-25 12:57:02 -0400

    Prevent race between src-pad-added and dispose in idle creation/destruction

commit 3ef852cdf91dfb0c3995c4b4b7dc8a6cbcdaddb9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2009-09-19 15:07:40 +0100

    Simplify converting optional codec parameters from tp to fs

commit 9c6fa300a28469d88fa0250b489fd519a402092e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-10 14:12:57 -0400

    Version 0.0.11.1

commit 7b320977549d1f4c843c38bab9e4795f420bca6f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-10 14:02:01 -0400

    Version 0.0.11

commit d81fcc3123c7e5840785cb381b3704b1ccd75f4d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-09 18:26:01 -0400

    Don't leak transport

commit ca3b159d5873f5a2ebe3333571c84b932524aca9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-09 18:17:47 -0400

    Use take_boxed to avoid leaks

commit bab8faad0c48b383b31ef62be7f1897b8f777095
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-09 17:40:57 -0400

    Reset GValues after use

commit 49bba0e09dfcb7bf64767f505ebe3f59c8aa85b4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-09 15:32:17 -0400

    Dupe codec optional parameters

commit cc121ebc307ae3105be3ab019cc51eaa159db4c6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-09 15:19:51 -0400

    Unref participant and conference when disposing of TfStream

commit 251137a2d30ccc0276ad43c3fe2988ecb85bdfd0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-08 21:13:43 -0400

    Version 0.0.10.1

commit 512ff33764ec350ece2f062763e4a078eb6c6b40
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-08 21:10:13 -0400

    Version 0.0.10

commit 67f6ed1e9fd963a6dc1cb0b2c68e622e47095a19
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-03 19:10:09 -0400

    Only emit connected on selected pair if there was no connecting first

commit 8b0f0dc393c902903f9ed5cd876eaefbfcb98c1c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-03 13:45:56 -0400

    Set connected state on src-pad-added signal

commit 5778505b5ffaa74d91f13beaf3b42f4abde62fe3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-03 13:34:07 -0400

    Emit the stream state changes when the underlying Farsight stream changes state

commit 5a75baf74b9fbe633923a5191a6ec599e44ea5ad
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-08 20:55:31 -0400

    Don't leak fscodecs

commit afe442b6ed4b9e06b7c8707de80128fe0d54595c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-09-04 17:23:10 -0400

    Don't leak string

commit c53c256d89b8b08ea1953bc545c50fc6f3a21b85
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 20:28:24 -0400

    Don't emit session invalidated when the session proxy is invalidated, only when the channel is disposed

commit 8fd00d8e1f58a2ec7e81cc953e5da00a303ebc6c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 20:27:48 -0400

    Free streams before sessions

commit 36583332978f820bb00fbd139d71d75d94d79a8d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-17 14:32:15 -0400

    Implement new error number

commit b2918288846c7ac20ed5b6ca24c6203b97746d79
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2009-08-25 19:38:16 +0100

    configure: depend on a newer version of tp-glib
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 45c9b4eec8d8d1619343b5c846dc3ea91b02437e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 21:05:48 -0400

    Version 0.0.9.1

commit f25ed0974f560dbd72ec136d603ff6a580d8a07a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 21:03:52 -0400

    Version 0.0.9

commit 97916d26f6e67949c3f7baeea52eccd56223c35c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 20:27:34 -0400

    Don't mention s-e in error

commit c72b47babdd916adf99933e58dda66547d2b8088
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-21 21:15:53 -0400

    Free session when its proxy is invalidated

commit 10c670d12ba9de8f816cce8eb467fdd7ab3adb17
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 20:35:05 -0400

    Add 0.0.8 NEWS file

commit 3c5138e594fd4590a0cfd5288f1fd74139ddda66
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-24 20:33:19 -0400

    Update readme

commit 7f6dd6061de5814b42799742022c3d4579b8c9cc
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2009-08-21 13:41:53 -0400

    Fix ice priority, the cast was wrong and made the priority always 0

commit dcc0cecdc50dfdfd459dc1b5d04eac6fc6a9313a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-05 18:32:47 -0400

    Emit session-invalidated on channel dispose

commit 1118ddb9d0c23297739078a272d521b8bdc2452a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-03 16:59:17 -0400

    Version 0.0.8.1

commit f351650609a31582337bb8a087840cd7611c6e7c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-03 16:53:16 -0400

    Version 0.0.8

commit 24d1a875c6aecfb954ff92edd7476ba374efe617
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-08-03 16:41:54 -0400

    Require farsight2 0.0.14 for the tos property

commit 914933418131e4e9c5eac8ce25d3d402ccd637b2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-25 16:08:59 -0400

    Add ToS property to the stream

commit 311f0e1161679a6e49ef4a90b8866ab4c241ecf2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-07-28 11:27:34 -0400

    Connect FsStream signal with g_signal_connect_object to make sure the passed object still exists

commit f4bead815849eb274a7f72187bdf409ec91b9600
Author: Louis-Francis Ratté-Boulianne <louis-francis.ratte-boulianne@collabora.co.uk>
Date:   2009-07-13 12:43:51 -0400

    Set the controlling property of the ICE according to CreatedLocally

commit 55dd1caef77a22ca299edc752c3b0be92ed6c1f6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-06-16 13:53:06 -0400

    Print active candidates when they are selected

commit ca3c3a2a857a92c6e0a29f62b68788b4297ef93e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-06-05 11:56:15 -0400

    Accept calls from CMs that have no properties on their StreamHandler interface

commit 9a12f71a6e0692bcb709b73ebaf16b8bb566f310
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-05-13 16:53:50 -0400

    Ignore not-implemented error when setting codec preferences

commit e9e4e880a6b6c8ee98382fbcdd6463d30847debf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-05-06 19:10:19 -0400

    Version 0.0.7.1

commit 1f47477183c8abd315625a7671eaf83618e11853
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-05-06 19:07:47 -0400

    Version 0.0.7

commit 692a432cbeb04c370c9ee0d2d8e1fa0ee7fb3cd7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-27 13:41:38 -0400

    Test if conference element could be created before referencing it

commit f56a6880f07644d2cc426f64c4423316bfdc4126
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-17 13:29:08 -0400

    Ignore generated python bindings code

commit c7b7a88e94121785868f0dcb6c707a2d420c6eb7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-17 13:28:44 -0400

    Remove leading slashes from .gitignore

commit 9adb5359ce08bf0c5d84a615042fb04786a45ff1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-16 13:31:39 -0400

    Use the right GError variable
    
    Renaming the error variable in the function arguments to prevent further mistakes

commit 28ca781b491b79433bf1dce5f83303e4aa5fb3ea
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-15 16:25:38 -0400

    Farsight 0.0.9 is required to prevent some crashes

commit f7ac031e9c0d08f54778a80042682137378b5ac5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-20 10:27:36 +0200

    Fix typo in warning

commit dc1c8e45a27f16b82911f018c9d54b6bf52cb9ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-12 11:24:03 -0400

    Update tp-glib dep to 0.7.26 to match reality

commit 2422234bce79636398923646ab914885698d63c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-06 13:13:00 -0400

    Add error domain

commit 50e9fe73bde203d109a0be9da21eb0794e71a2f7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-04-06 13:12:52 -0400

    Remove false pygtk requirement

commit 1ed8e1106d3817deedae2cc77c52fc83773d317e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2009-03-20 13:27:30 +0000

    get_session_handlers_reply: don't create the sessions ptr array if an
    error was raised
    
    Should fix http://bugs.freedesktop.org/show_bug.cgi?id=20765

commit 6fae4cbe10ddb692f04846d1296058f1046b2486
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-18 17:29:59 +0200

    Shut up compiler warning about unsecure printf strings

commit 55a79bde95af1f28379b25045e4686f598a54597
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-17 18:27:42 -0400

    Version 0.0.6.1

commit 0edd78d9c388896cff1663fe9fa77669208fdf39
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-17 18:23:05 -0400

    Version 0.0.6

commit e42bdda59972b2f3793eee30f4d5f18be0a9a9b8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-17 17:57:56 -0400

    Fix little typo

commit 7d393cb9b948def684ce95e886629f69f6207e65
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-17 17:24:18 -0400

    Use the right type when getting RelayInfo

commit 9e2fba6699509199830817836eaa482d27292337
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-15 17:12:56 -0400

    Version 0.0.5.1

commit 34495545f9ad56e0b5a4293f8cf723332cb48014
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-15 17:12:45 -0400

    Version 0.0.5

commit 2fb56493eec0f86b9022c09734c96070514e727e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 20:30:19 -0500

    Add debug

commit 0535219156c41473d7bcac6a17cb1924cef55b0f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 19:50:54 -0500

    Convert relay-info from dbus to farsight

commit 5442c2b3db0aec8c0456822dad7d2657305ffaa0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 19:19:49 -0500

    Get the STUN servers from the new property

commit 94b1377f60d9a2e1ee48dd71f829fe5cc9fa9ffc
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 19:02:32 -0500

    Get NAT Traversal from the new interface, fallback to old

commit 71c6355949b53bae5ce8482fe0c71e4724a77224
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 18:52:04 -0500

    GetAll properties before creating FsSession/Stream

commit c1c891485741e2a56a496b5a15a3c8e143cf02cb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 18:35:51 -0500

    Make it possible ot call tf_stream_shutdown before a FsStream has been created

commit 296f42618e35de52447406482f44c693875fc703
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-03-02 18:31:30 -0500

    Ignore Gst Messages in streams if no stream/session has been created

commit 78f5d7e881b9a29d08025728eab02caef53b262c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-24 17:24:51 -0500

    Print stream pointer in messages

commit 27997f62747da49be8c90c14d7b2c2230dbdbcda
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-04 12:48:04 -0500

    Don't leak tp candidates

commit 2fe664668db896b9e4915eeeab24c04e0547f216
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-01-21 15:52:11 +1100

    Send CodecsUpdated when unrequested codecs changes happen

commit ce26d6ddfe327656563452f49eac559214184412
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-01-21 16:18:43 +1100

    Require newer tp-glib for CodecsUpdated

commit 9740c8d1c31403133825b560ae772795b25f6c65
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-01-21 15:44:34 +1100

    Remove gathering machinery

commit e4ae809764c46893c0d5610a8c51008381adc385
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-25 17:43:31 -0500

    Stop stream when its proxy is invalidated

commit 3714dfa4ab4965be1be6d9168211f480b9e8ad16
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-10 14:50:45 +0000

    Make the printed methods match the called ones

commit dbf982c38cf79ce8b9302d857bf1edfe74283b88
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-09 17:04:17 +0000

    Report to the CM if a stream can't be handled

commit 84c8f7110df00cd0bcf9ae7523d5a2ad2349e45d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-09 16:58:12 +0000

    Report to the CM if a session can't be handled

commit d97541d113c334dfd607955aafbf1f2511066a03
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-02-04 14:35:00 -0500

    Add telepathy-glib, gstreamer deps to the pc file

commit a89018755899d0ce62495506a4f59b1d456afa07
Author: Senko Rasic <senko@tachyon.lan>
Date:   2009-02-05 08:49:49 +0100

    tf-stream-constructor: recognise "ice-udp" nat traversal mechanism

commit ee3367ef9263ad9eb2082ae118f7adaa67e1ffc8
Author: Antoine Tremblay <hexa00@gmail.com>
Date:   2009-01-25 13:36:32 -0500

    Added missing farsight2 CFLAGS in python Makefile.am

commit 63e4639d3f659ecc71b94d62a2aea55e109b8b55
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-01-14 13:00:39 -0500

    version 0.0.4.1

commit 49492fe73fa055ef1dde449f33cfa36a246a752b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2009-01-14 12:57:03 -0500

    version 0.0.4

commit 2e998fb7fd73cc14779d02a37c16a1c5eca16ca0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-29 17:11:52 -0500

    Make it possible to not have a request-resource handler

commit ee4c9064e9c797b729448acdd9d3d291640e2112
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-16 12:20:28 -0500

    Release sinks first

commit d54dab7fe291f4dd13704d49638c93ca59a6ac68
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-15 17:33:25 -0500

    Remove gathering mode once gathering is done

commit 60d223bc801b92ec20d9b8a35abef19eb6433820
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-09 21:00:41 -0500

    Export error functions too
    
    The arg is not a real GLib enum, its actually an int

commit 3024fa2114fd0204422273d0fd74d29831387d62
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-06 18:08:20 -0500

    Don't try to emit signals before getting the user a chance to hook them

commit 5b1fb048f814d9dbc2857a3a6f0bbd2284d9bf48
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2008-12-05 16:01:09 +0000

    Remove .cvsignore from gst-python

commit 893a25882643083b5d6e00b837d83e3f70f8f23e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2008-12-05 16:00:27 +0000

    Remove an old back copy

commit 89e7a77706aeca3dad75c2cde5980c0341971ced
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2008-12-05 15:54:27 +0000

    Add $(top_srcdir) to the include path, fixes make distcheck

commit c22cc27de4e3fb520c1a0f527258c0c1c7a1d793
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2008-12-05 15:48:00 +0000

    Remove example.py from EXTRA_DIST

commit 57adb8b378fe7da3e12af583555ccfd85979321a
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2008-12-05 15:42:27 +0000

    Add basic python bindings

commit d4ab1e404526ce46c2d3197589c4fda77f642fb8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-12-04 19:12:44 -0500

    Set the held variable properly

commit 65ce645192cffeb0cacd4998944b82a2fe58f29c
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-26 15:09:27 +0530

    Remove leftover dep on gst-plugins-base

commit 2dffb5d6e97b690e73ff2d56468b8622f459e6dd
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 20:29:04 -0500

    Version 0.0.3.1

commit fa01d07f78212fb04b7bd2809b75a86c9a1f1dbf
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 20:27:13 -0500

    Version 0.0.3

commit 69681dbc8c14ff472543f39b6f3b4ff2d3b6687e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 20:14:52 -0500

    Rename tf_channel_new_from_proxy to tf_channel_new, and leave the proxy creation to the client

commit 9e148a557283d741838bf89c0d2e8f32b425eb11
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 19:56:23 -0500

    get the channel-ready property from the right object

commit 13695f57474e8c520f2c7270c6cd3fd56bc772f5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:58:12 -0500

    Version 0.0.2.1

commit cc65ac2f117ba61d25879710f38a0264686c5896
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:55:51 -0500

    Version 0.0.2

commit a8fbbaeaa296d262dad1e4cb7c4973134827b337
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:52:14 -0500

    Add new makefiles to configure.ac

commit bf429349cf1a49a9efc95e7a8afaefd1dbf722bd
Merge: 09bc6d4 172d467
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:50:31 -0500

    Merge commit 'smcv/trivia'

commit 09bc6d4d695fa4e1116ebd1f834ffea2f393af06
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:49:56 -0500

    Version 0.0.1.1

commit e1af5046e99b97f50c2802e8a4091d13b5b352b9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-21 12:30:24 -0500

    Version 0.0.1

commit 172d4672ab85a4ff02b63d4275a26539d57a44bc
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-19 14:28:53 +0000

    Include tools/telepathy.am from telepathy-glib
    
    Also add documentation-uploading to Makefile.am (from telepathy-glib again)

commit fa2ede39e67950938da25f0be114f23b4601e239
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-19 14:27:44 +0000

    Add telepathy-farsight-uninstalled.pc.in
    
    See http://smcv.pseudorandom.co.uk/2008/09/pc-uninstalled/

commit 034515ddb0555ec54919b8bca0805a2ea1af27f1
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-19 14:26:24 +0000

    pc file: use correct farsight2 version (please keep in sync with configure.ac)

commit 98451b742f14800336ff14ebf1d6b3479f22fb06
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-19 14:25:55 +0000

    .gitignore: rearrange

commit 700a3567ae1b25cc46e76f8b6978e8809b1aadf7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 17:37:32 +0000

    Properly hide the session symbols

commit 797dd52f17f5f8d066bd43ecb1332afb4e646acb
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 17:36:47 +0000

    Add tf_stream_get_id

commit 001d8e28ffd6a6c1b0c7ec179947398ec4d72c7d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 17:33:12 +0000

    Call the channel_ready function from an idler if its already ready

commit 773487e69986537fc6bde90a5f8c1ca15dcfca67
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 17:10:19 +0000

    Hide the TfChannel struct

commit 88dbef1a60f6cdba31525623d8c5df9ea1a10003
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 16:56:59 +0000

    Hide the TfStream struct

commit 09fe99e7b760bbbd114cf5b27015705d2288a86b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 16:54:16 +0000

    Hide the rest of tf_session

commit ae96bca4b6905f8483d5ae33e95b6919c7e26ca7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 16:52:48 +0000

    Use simpler regex to hide the symbols

commit 8b36b8d0e15a2bcddc7644e884bfb8187cc19c19
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 16:50:47 +0000

    Make all of session.h private

commit 6b74a76d46378a6fc989c2e0f8b94074c1dd1c21
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 16:38:59 +0000

    Use TpMediaStreamError instead of a guint

commit 94a7701761034391f8528f4bf7f890894f0787cd
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-14 15:55:51 +0000

    Require automake >= 1.9 (see telepathy-glib for rationale)

commit c4fc461ea290168775feb4402d33c03bef56cdd1
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   2008-11-14 15:54:25 +0000

    Remove INSTALL - there's no point in having a generic one in git
    
    automake will put a generic INSTALL in our tarballs anyway.

commit 3587588e20db9fac054d8ac86f1d06340080bc16
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 15:23:04 +0000

    Send bugs to the s-e component for now

commit 8ff50f7196940400f6f555a124ad557364f47db9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-11-14 15:17:31 +0000

    Remove extra_dist too

commit dcd2f6b4f0a89dd884e3d741dae055e53e4c08ac
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-23 20:01:57 -0700

    Remove stream-engine and keep only the library

commit 3ada7b1b24851081bb4209885887f346afe69b19
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-23 16:56:56 -0700

    Simplify window xid setting code

commit e1c5bba88b0c8eb20f05556d6162c466b8bb0876
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-23 16:43:56 -0700

    Remove some maemo specific things

commit cd6d34834435e333959db5b93328b9993cceac52
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-23 16:31:25 -0700

    Use non-XDG dirs for configs

commit 7f907780a0f388babd75084b2b00459112fad7be
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 16:19:03 -0400

    Add section docs for libtf

commit 68807d6da2989f8c0f555a98dd1a31ac46f3f564
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 16:09:19 -0400

    Use the right filenames when doing the checks

commit 27658f3c68578180237d611fb6f4a20023706391
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 16:09:03 -0400

    Distribute data files

commit ebf5c165d76df1d2327adf019af4c9ea4f4f612b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 16:08:23 -0400

    distribute -priv.h headers

commit 6340a207415e0e187b1d77654edd46686f917ae6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 15:28:54 -0400

    Replace darcs changes with git log

commit 381cf6828282888deae95574e26eec081c8d94d8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 15:28:19 -0400

    Hide the gtkdoc build stuff from git

commit 705750df83eadb25fd018860fc6843a9e46e4538
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 15:26:25 -0400

    Hide private stuff from gtkdoc

commit e56811da22e8889a166b211aaaeb1c4cee333bff
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 15:12:33 -0400

    Remove .list from SOURCES

commit ca88bd5fba3b79c7fe78f2af803d433e56411352
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-17 14:56:18 -0400

    Generate the signal marshaller .list files from the code automagically
    
    Code taken from telepathy-gabble

commit 8e30430bc521a106921acd1031bde801b3b2272d
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 16:02:12 -0400

    Don't crash if we can't start the video source

commit 4f556c92c1b289af95852a3ad174ed29e9253094
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 15:46:21 -0400

    Rename close_*_stream to error_*_stream

commit 47dc4bedd05288926e7985985b54759cfbe6bd4a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 15:14:59 -0400

    Propagate audio stream construction errors

commit bf1b0b43daf5179d4b1db7c4896c4005b2fd1bba
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 15:10:34 -0400

    Add error domain for stream engine

commit e6d0cc0b36dcaa1144f3302794ecdbc77eba3b51
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 15:10:19 -0400

    Replace g_error with a Farsight style construction error

commit 22a29d02da4feda321c86feb3e994f8a0b494c0b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:52:04 -0400

    Clarify comment

commit 23e92e6e572a871e6094d26636201da8615ef15e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:51:04 -0400

    Update comment to match code

commit 906ddc5c585ae9eabef9fb37364cbfcad994c5a2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:48:41 -0400

    Make gtkdoc comment match function name

commit 7a7d69742f69ad567b89297ac08f93b96d41423a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:36:40 -0400

    Fix wrong indendation

commit 79acd54596a8d42f32dc24f54e7537e488c4c02b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:35:41 -0400

    Remove useless CHANNEL_PRIV macro

commit b0353c06f37c5e9adb5b3bc7ceffb4e2788e4d79
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:32:41 -0400

    Add finalize upcall

commit 685f436ad16aab914f1400a84b0f85c7f523f0c2
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:31:34 -0400

    Complete comment

commit fb6849616d845c6f76ca613556c2772443c4f9ff
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:30:40 -0400

    add missing negation

commit 89a47b277370c5789cbf40afd4275656c3cf69a8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:26:57 -0400

    Remove useless casts

commit 3eddf2a53199b23282778b8dcb1e6f9a282d5d46
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:25:08 -0400

    Make comment match filename

commit 1740af731ca398fedaf9ab34d9315930671d6242
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:22:49 -0400

    Unfail more indentation

commit ab6fe7ba5e7e8954fbad4dd245c7ea4fec62eb7f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:21:33 -0400

    Stack allocate error

commit 34311d5c18f7a5fed41ac0e0622bfa71afb60e10
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:17:45 -0400

    Indentation unfail

commit a7d2ef488e088a549f36b3756ffb9e0362e85f77
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:14:30 -0400

    Do early return, simplify code

commit 37f294d3d4dc626a679c641a0de02f12f27f1224
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:08:35 -0400

    add error message if there is none

commit 0a569dbf1b3f480ae18f920f73edcb942b3cd68f
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:05:28 -0400

    Read headers from the tree, not from the system

commit 5dddc25b482f9418a7c34c5d4ce7b513bccbb9ae
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:04:27 -0400

    Fix indendation

commit 62f276ee2a6934bfeab001889a132bf8b54f04c5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:04:04 -0400

    Remove leftover stream engine reference in telepathy-farsight macros

commit 04b2a90c200d70622c8a1dc38c1e5c4e3dc9e126
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 14:01:23 -0400

    Don't leak ghostpad if pad adding fails

commit f70c42e5a1a86bed6ec1d54e555b8e81186fe829
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 13:54:47 -0400

    remove useless debug

commit 7fe990601e46116aad2ed4743b8baed308f917c7
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 13:53:47 -0400

    Make the property declaration more consistent

commit 2beef0d7dc9ac921bb16d2dbd5d4e566b00e1264
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 12:10:54 -0400

    Remove blank lines

commit 88a9d1e3f6a028c85323072a538496e787786da6
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 12:02:36 -0400

    Remove the PROP_0 from TfStream

commit 842feaf8389df8bf2424d2bc55a88d738544afc4
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 11:55:28 -0400

    Fix link to upstream doc

commit 7d1d0833884cdb5a1e54c0793b00e4be8b2888b3
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 11:54:34 -0400

    Remove template comment from gtkdoc makefile

commit a1e8c68bbc5985f3be904374182fc413c98e85c5
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 11:53:17 -0400

    Remove tabs in configure

commit f0cda02b94ce7182a9db82a11606d875e2d57a71
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-10-14 11:52:46 -0400

    Remove tab in xml

commit 00bcef6f7d4e041e0e051d6e66cfda36ae418ee9
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-09-19 13:10:48 -0400

    Depend on fs2 >= 0.0.3

commit e72b345726708ad6c1d1cfd06b59e37891dae931
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-09-18 15:30:43 -0400

    Remove unused enum

commit 7bb71e63c7c9b08627c3d688f50bf56d569975e1
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-09-18 11:57:25 -0400

    Disable MPA/MPV by default (they require a parser to pick the decoder and we don't support that right now)

commit 4b7a8072b4d233b570f087411fff21b13d4bfc39
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-09-11 19:26:48 -0400

    Replace org.freedesktop.Telepathy.StreamEngine to org.maemo.Telepathy.StreamEngine
    
    That makes it clear that Stream Engine is for maemo (and desktop users should use the library)

commit b66a416e9924482f56f4669c5e8d935109287901
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-27 14:42:27 -0400

    Remove channel handler interface and replace it with AttachToChannel (with the same arguments)

commit cf26021586dee9333cf9c5eb70d73e8658b87667
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 21:49:41 -0400

    Produce all of the local candidates at once, because we have to merge those with the same foundation

commit d8ea0437dd4f903de9585642532f6a594838444b
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 21:15:38 -0400

    Make erro clearer

commit 784de71ceff9e5f6361355f8f6c24d403ad80ca0
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 19:11:41 -0400

    Remove .git-darcs-dir files

commit f8182389a08ef20cf8d36322b3f2cd6f3628ed56
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 19:03:46 -0400

    Remove darcs _boring file

commit 78264253fb84829ee719f0f43ce3e6f1e50e5f7a
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 19:03:37 -0400

    Added .gitignore file

commit 62fd8329a586977600333c8cf1c69e92165a8551
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 19:01:17 -0400

    Improve maemo support

commit 75c77b394f044799ba2db38e0ce8586c765b0c6e
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 19:00:56 -0400

    Remove deprecated application media type

commit a1b06a092ae7e9871c937a83915fc8c06ce395d8
Author: Olivier Crête <olivier.crete@collabora.co.uk>
Date:   2008-08-22 18:58:29 -0400

    Make autogen.sh executable

commit 60cb2c0388af92ac3ec00ddcd0729744aff659e5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-30 03:46:02 +0000

    Rename the doc directory too
    
    
    20080730034602-3e2dc-c602940c618cc1edb0a0bd97c9d745accb09b5ca.gz

commit 08733d1fb1a257de7e2939a43e89bf4c682ad009
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-30 03:21:38 +0000

    Disable set_active_candidate_pair() for now
    
    
    20080730032138-3e2dc-a7fb9fa27b0145522b0f5fe872b86462676a8f7b.gz

commit bb40c82c15f1b919dc08ddcc06d04aa5c91833d3
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-30 03:21:19 +0000

    Return an error if requesting the video source resource fails
    
    
    20080730032119-3e2dc-ba91b0563a72522d02512071d92de9ac7656f60a.gz

commit 5210b0426002cc2c308d1d3c5b7c81b64e7831e2
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-26 00:01:02 +0000

    Enable source temporarily to allow for codec config-data gathering
    
    
    20080726000102-3e2dc-7d4cbf1a8a822e4616d73409cd61f84bec878ca7.gz

commit 2e282bfb12c36a2d350c8db4ab643408ddfb4517
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-25 17:06:59 +0000

    The properties are called farsight-{conf*,part*}...
    
    
    20080725170659-3e2dc-7a8f8161ac9caf3a9c52f84eb9652a0a8c9df83d.gz

commit 65abcb2bbc93969a66e4d55dc12cbaf0fa1ed3c2
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-23 23:50:14 +0000

    Require telepathy-glib 0.7.8
    
    
    20080723235014-3e2dc-1bf635610ea4d41538e6787501ac5633619e6640.gz

commit d8ce69123af0608a53cf89e470421d85ac48252a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-22 00:15:17 +0000

    Add details to resource handling signals
    
    
    20080722001517-3e2dc-f7cc8250b912ea372480bec71f56f22cc2617020.gz

commit c27ec5079fe1724c56bce138d2f606c076b5a218
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-22 00:10:53 +0000

    Fix little doc typo
    
    
    20080722001053-3e2dc-581d2b3bce3b0a21b37636feac636f6d79ebd063.gz

commit 5c3c2283b2587b5b180a0fc5e7527ec3110942b9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:59:08 +0000

    Add library versioning
    
    
    20080721235908-3e2dc-2e383670980ca7d09a871d41b0a845a77b695a52.gz

commit 61c26d5164aa1966bf6d53a04fe320289209d0d5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:55:36 +0000

    Rename the library to libtelepathy-farsight
    
    
    20080721235536-3e2dc-8b5285475fc373cda2cfff1c570c72d471d2d08b.gz

commit 9e73a388216c03c888eab5799b7c0c912bd83858
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:51:00 +0000

    Install header files
    
    
    20080721235100-3e2dc-84e4a5a45cae678447c2932d8c7743c7de4e7bde.gz

commit ba1fc8162da51c8d1e44862750a4aa6f137c49f0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:48:51 +0000

    Add pkgconfig file
    
    
    20080721234851-3e2dc-5f45de50f42d3b255990943fe40285f381cb84a6.gz

commit f66cc9a073150fe293129009d60be53b8ac5ed5a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:44:07 +0000

    Rename Tpmedia into Tf
    
    
    20080721234407-3e2dc-308d717936e5f62a48f348e79a4f6df17edacfe6.gz

commit c0e04c4021b3ed0ef765c586b737f1c847583e67
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:37:45 +0000

    Rename _tpmedia_marshal to _tf_marshal
    
    
    20080721233745-3e2dc-27bf5d2b952f0e544eb57f36d8856109a1666056.gz

commit e817f38590d83d486bd6daa41cc8477cd96d962b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:33:33 +0000

    Rename the lib/ dir to telepathy-farsight/
    
    
    20080721233333-3e2dc-69e77fef7f97ad2c5d217769dbd86dae5bff531d.gz

commit 92f550220f38f4b60cc917f99b12190abe3f5397
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:25:54 +0000

    Fix little documentation problems
    
    
    20080721232554-3e2dc-4723caea8831dd55dd2a876d8937125994847c3f.gz

commit 2996f61f473fef0a7e9ed52715ab7186895fe7c8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:21:43 +0000

    Document the stream
    
    
    20080721232143-3e2dc-7e5e4b258c86e0ce8d862a15b81bdb1515add14c.gz

commit e4423c0a12ee5020ecf3e59defda4ca5b3be5f52
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:11:53 +0000

    Rename ERROR to ERROR_SIGNAL to make some old compilers happy
    
    
    20080721231153-3e2dc-a2437f8d8bb05c55b4ca67eeefdefd7d2c76124e.gz

commit 0d13768b195a55850271808bdccdc4630667c75a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:07:06 +0000

    Document stream.h
    
    
    20080721230706-3e2dc-a502ebd9ab11a3dc85a6faf28cd08734cbaa5d90.gz

commit dd74962504b78cf5eba59b0e2dc9ebcc51ddd4ef
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:05:12 +0000

    Make the TpmediaNatProperties struct private
    
    
    20080721230512-3e2dc-dda382c19fbb5aebf7db8f61e551caf0d68e28ea.gz

commit 62b25f8edb73bb127f0bf7720bd090bd2f7dd127
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 23:00:11 +0000

    Put the channel before the stream in the docs
    
    
    20080721230011-3e2dc-447fe0d8f408f1631690f3928127654061f59376.gz

commit 68dfe56549b92382fd22af9d721abec50fb4e3cb
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:52:58 +0000

    Remove the session from the public api and the docs
    
    
    20080721225258-3e2dc-eaeb29ef73e0e8be217f2b2250716f4235efba7d.gz

commit 1666637593a3b3ffd1f6deb0e4c6c069f2507f3d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:50:16 +0000

    Add types file
    
    
    20080721225016-3e2dc-e601a961a12ec67f7029ed738057ce5e82033d1c.gz

commit cf7f4da46d524e6b218298b9af8edaac44bb10d6
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:46:41 +0000

    The signals are not detailed
    
    
    20080721224641-3e2dc-aee628e09d51e56dedaf5b879c24a225678e80b0.gz

commit 89d5e9c93001adb1644cd1cb96f3eb76f01f6297
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:45:20 +0000

    Fix horrible identation
    
    
    20080721224520-3e2dc-ea6bfd50497ff354b21d7200d8fb35db271f5807.gz

commit c01e8d66c73c8d1b1b4160c18db8ed746c59feb0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:36:40 +0000

    Add main doc sgml file
    
    
    20080721223640-3e2dc-1671694539a76a92fbfa7d956e41c2b9f881a9a9.gz

commit 2203319d85423fb8a0005be3cbcfa29f2d67823c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:27:40 +0000

    Stop including the session header
    
    
    20080721222740-3e2dc-e2e9e98ca0cf09ace92a005577ff2ad6040d3899.gz

commit 3accc7e87d39070fef73212d1d45a921b46b6ca6
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 22:26:56 +0000

    Remove the need for the session object from the api
    
    
    20080721222656-3e2dc-869e9d054803bd7b55f95dae496649c86ea194b6.gz

commit c81ea79e4a821fdcf671bb8b299177ca9d21005a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:49:56 +0000

    Document the session structures
    
    
    20080721214956-3e2dc-9537ff0be57aea543380789aa73c3c435ea1ef5d.gz

commit 3c15be60d013199cbd4c5e0d8fa5277c9a3081b1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:49:05 +0000

    Document the channel a bit more
    
    
    20080721214905-3e2dc-14438465c6f8929c430e3b0be924caacf9f62f09.gz

commit a72662e4b9d93ca9355dbdd7d64e9d6503bfb829
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:46:35 +0000

    hide the privates from the doc
    
    
    20080721214635-3e2dc-3de030b7c18f238f6f9254fc7110342aa7e9a49e.gz

commit 6cab929fbc35f11e62eed68f287edbf07768f1ad
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:46:06 +0000

    Add the sections file
    
    
    20080721214606-3e2dc-2275a1b03c1b9845c2a123d6083005de2921936a.gz

commit eb328bf69911d23631d0c91f40fbb92e22594ae5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:43:06 +0000

    Fix major typo
    
    
    20080721214306-3e2dc-ee112e2149887cbfcd6f5908d2b65f99c9520763.gz

commit 33b7408317db55c3b5b70c7c3e663cb1a98b4208
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:36:17 +0000

    Properly indent channel.h
    
    
    20080721213617-3e2dc-ebcb8fc7329733c575a1cd5e969412b41ffef9e7.gz

commit 5358aa8fe1c834575e5e199d7a295fd05760fdcb
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:35:36 +0000

    Rename self->chan
    
    
    20080721213536-3e2dc-9cd6b3816f5beb7d10cc51a67632d16e804a99c7.gz

commit b478a7c33dc1cfb94dd988a2c6926ce6b916ba90
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:34:10 +0000

    Rename session-type into the more accurate conference-type
    
    
    20080721213410-3e2dc-ac64a9df228aef65cb9fc921a3628d4c063a559b.gz

commit 2e7a3f3aff817c9956559747265c4d511377d8b7
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 21:29:14 +0000

    Document the channel object
    
    
    20080721212914-3e2dc-0d916f3005fbee318cf6c3d4d44fce567a6db9d8.gz

commit 9a7d635f4491763a086235a5cd215ce5cc773e69
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 20:57:39 +0000

    Replace TpStreamEngineNatProperties with TpmediaNatProperties
    
    
    20080721205739-3e2dc-2595f77329e5f2974b37d0a3b6b9ea9321cddbbf.gz

commit 53ac86f51e680cace4ae6da013934a92e7e8b13e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 20:54:16 +0000

    Hide the private functions from the public ABI
    
    
    20080721205416-3e2dc-0f88106de6040b2f432976704b2bc4d43ab568e6.gz

commit faf6935b96afaf2c07de8422bc36640da71c9b1d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 20:50:09 +0000

    Add initial gtk-doc infrastructure
    
    
    20080721205009-3e2dc-a9fa93d0de7726971667f3ffa6a3d74843d4bdcf.gz

commit c38fe65ddf8ef791d49fe2f3414d2bfdb115d944
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 20:36:27 +0000

    Remove double asterisk as it confuses gtkdoc
    
    
    20080721203627-3e2dc-da23ccb05ce95e0f9a7d542afdf9ee0a50df981b.gz

commit 742efc35bff7d569b23e30db53b0d202a9882049
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 19:21:00 +0000

    Don't allow undefined symbols in the libs
    
    
    20080721192100-3e2dc-0e18d1ef0fefd4e5a9aa615e3d11c852686cbe55.gz

commit 7d490e333e845373346dfb47a9365ca9700dfe98
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 19:17:20 +0000

    Hide private functions in private headers
    
    
    20080721191720-3e2dc-6706815924ec439ccbe2a61b981c9b663addf955.gz

commit 2ba4b9452e195a557a02fb347bb08e7079b03db7
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 19:12:40 +0000

    Add new method to create a tpmedia channel from an already existing proxy
    
    
    20080721191240-3e2dc-a367c43868edbc2715d49e4a5c0e2ef25995678d.gz

commit 761ab498e28b683b7047f677dfef0b2348b0f6d7
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:44:37 +0000

    Remove useless convenience lib
    
    
    20080721184437-3e2dc-debd5cbdbd4f803933855add89e6f7165ab00803.gz

commit 6f6e51159e50423596d5c858e7a3da6db4273e37
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:42:11 +0000

    Remove unused marshallers
    
    
    20080721184211-3e2dc-b7be95ceba0413c3c9012cc9c1eb85530c6b9bfb.gz

commit c774b26fe7357efffd2b7a0a4312eebe39f0bc01
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:40:49 +0000

    Move the content of the library into its own directory
    
    
    20080721184049-3e2dc-b09f9154b40fb92a9dfb5a2a7c45341af115cc8f.gz

commit 9b7cde28d8f841a6f918b477f0452260a8384f43
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-05 20:52:00 +0000

    Rename TpStreamEngineSession into TpMediaSession
    
    
    20080505205200-3e2dc-5a607ca075e352725d9b3dea3ab718fe453e0526.gz

commit 5f4a1d979e87a8d30d98b7918e3c269d61b0c595
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:23:24 +0000

    Add directory and Makefile.am for library
    
    
    20080721182324-3e2dc-126d99b7cb2da6580a2f6a45c62428c65c335bf4.gz

commit 6772349c43ed20281f885f7e12d1d3a727a55d31
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:17:02 +0000

    Use the right linking order
    
    
    20080721181702-3e2dc-69345fee935e7746546742f63af8bcb51f930a60.gz

commit 409920a9b8b75c818fba52479e83136fefda80ef
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-21 18:14:53 +0000

    Search for gst-interfaces directly instead of gst-p-base
    
    
    20080721181453-3e2dc-c335ac4e9ae2de092a78463a0ceafe8b3a004ce2.gz

commit 56ee237eebf2d3e59c06fded9a0c046ef7bc013a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-07-03 17:03:49 +0000

    Use set_remote_candidates() api
    
    
    20080703170349-3e2dc-ae8dae4776ebe04f7ed527b5542ae8e36ecd7d35.gz

commit 53a28f49119bc8ae2aff09b117fcf262190f1bc1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 23:36:23 +0000

    Fail stream if there is no codec found
    
    
    20080617233623-3e2dc-a4fcc2ce4aee64382713e0bcd05d536adb7a5417.gz

commit c8dc064b60566be3345834e2d0a551a1e4b35a63
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 22:07:00 +0000

    Send supported codecs only once (thats what tp-ssip expects)
    
    
    20080617220700-3e2dc-ed31d6d3f51f2a9508172484785b555b3066d192.gz

commit dc01467e674ff2d1191f5ca8d628de52c516c5c0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 22:06:50 +0000

    Its codecs-ready, not just ready
    
    
    20080617220650-3e2dc-f24f1b10a9541ee65025d0e78e07c839c4a1287e.gz

commit 99d03fd529664b8358e9b1048e24fff135e09115
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 22:06:08 +0000

    Print send codecs changed
    
    
    20080617220608-3e2dc-d9b50ca91f39facc5110e5088c4d0c8319ef3191.gz

commit 169493def3a7c995ac97df2ee93aa78cee2b8a42
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 22:05:58 +0000

    Ooops, its errorno, not errno
    
    
    20080617220558-3e2dc-61dadb83acde3757ccf7e85f7b8297ef931aa52c.gz

commit db034183b155512695628f6b497a9d270f948861
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 22:05:39 +0000

    Fix indentation
    
    
    20080617220539-3e2dc-473c263d4e9154322f57520ca062d3d81e1b7315.gz

commit 0936851b7a873dc6231275a2cf0262326b202978
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 20:31:11 +0000

    Wait for the codecs to be ready before publishing them
    
    
    20080617203111-3e2dc-7844f7df86726b7278511d609dcea8ab19596efa.gz

commit 7877065c664eb62d2c7193b12edf4ce3df71b445
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 20:14:45 +0000

    Replace "negotiated-codecs" by "codecs"
    
    
    20080617201445-3e2dc-891437559d0043356d63f603fe617b0dc20aa1e9.gz

commit bb37aee16215c55016066a1a1d4db366dd5702be
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 20:14:15 +0000

    Replace "local-codecs" by "codecs"
    
    
    20080617201415-3e2dc-e1602a06d686a73f457a4a2aeae8d329273da634.gz

commit 940b364b5f0fe5c938dea9fc6b46ba5bf41c5c5b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-06-17 20:13:17 +0000

    Rename local-codecs-config to codec-preferences to follow fs2 api change
    
    
    20080617201317-3e2dc-f8d8d87b182421114ab8e08ffa5a27e35190efb9.gz

commit 8b73d22dea22cdb9cb918e6ebb7064cf079ea544
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-23 17:54:33 +0000

    Error out of the gconfv4l2src fails on maemo
    
    
    20080523175433-3e2dc-65998f777a6006aa4d8f562f7805ed4b93c25e14.gz

commit 7e4a71e41966414f059bf150e14a3b71947bcbf9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-23 17:53:43 +0000

    Test the null-ness of the videotestsrc before setting its properties
    
    
    20080523175343-3e2dc-9e17b1d8f6cab9e5bdb226de3b1c668f0b1b2faa.gz

commit 190122201c22d7704e753da247915cf68286f0d9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-09 18:40:26 +0000

    Put the pref local candidates outside the stun if() block
    
    
    20080509184026-3e2dc-61f62b0e154fa7eab0653f884323adf8fab88db0.gz

commit 8427a0bfe6a27e5fb01a2fae42f0405338105a36
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-05 20:58:53 +0000

    Rename TpStreamEngineStream into TpmediaStream
    
    
    20080505205853-3e2dc-2d835261618b45fff0fc82019bc8e5d7892b7c42.gz

commit 9ee2a448e81f453d972eb645bd709e7df84f6832
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-05 20:42:38 +0000

    Rename TpStreamEngineChannel into TpmediaChannel
    
    
    20080505204238-3e2dc-702da51cda83f2cea47dd20530a129db79a8bf72.gz

commit 731909f5108014c1c48eb5992a38a175f79584d8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-02 22:13:54 +0000

    Refuse GetOutputWindow on non-video streams
    
    
    20080502221354-3e2dc-5a7dc0d4fbd7104ce4ebe2336ee98d9475d68f79.gz

commit 99d5d41da5a885b9269c009620f9f1d600571baa
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-02 21:33:13 +0000

    the stream is not ignored
    
    
    20080502213313-3e2dc-b25d54840f84a70b9db656570741e8c439ec8948.gz

commit 9f36f6029449568310759ef649e9d338946cdf46
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-02 21:33:00 +0000

    Stop stream on close (so that teardown will be easier)
    
    
    20080502213300-3e2dc-33ab3fb44bffb59925bf5d02dd4309b9a6e55ec8.gz

commit 5c251d51a4e6733e1426f8ac4869837de8fab5c6
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-02 02:46:56 +0000

    Let the bin name be automatic
    
    
    20080502024656-3e2dc-34d65758fb5055b090c17354a300ab1db283239b.gz

commit 6d4d02c8cae108e2e6c8e0a9b16f2bbc646a3f92
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-02 02:46:29 +0000

    Call candidates_added() on every candidate add (in case we're using something like jingle)
    
    
    20080502024629-3e2dc-7bf92c04f67b7555f598ace56b73ed3ba2fff90b.gz

commit 3488cf8e30050f3364a6783b74f0b98e9e5664a8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-05-01 20:17:33 +0000

    Set the compat mode to gtalk if the requested transmitter is gtalk
    
    
    20080501201733-3e2dc-42756cc2107e3a12584a93de2495ae48f7c77344.gz

commit cc073ee157e1154e06d73262e473eb7e09485aec
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-29 00:06:06 +0000

    The sink is not a bin on maemo
    
    
    20080429000606-3e2dc-e9a921b1a7b493b5ec5710529361497978f63cf1.gz

commit 874bd262983a6a352230c298d9c237e5d97329ae
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-28 19:19:53 +0000

    Use ifdef instead of #if
    
    
    20080428191953-3e2dc-14e5666e7c503e406e88943d0c20e96ab5de222e.gz

commit 2c088556d654ca1c3f35c866709d958043a1c618
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-28 19:19:48 +0000

    Init variable
    
    
    20080428191948-3e2dc-28d952f837f35c007b2ec5bd31451dcfff10ea9f.gz

commit d3da840f1bdd5f04b7d345cdba1d9df95ea24530
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-28 19:19:39 +0000

    Add proper stdlib includes
    
    
    20080428191939-3e2dc-16ed60c3b2313fefa36884290a205c6304c7f435.gz

commit 442c80fc560ba0904bebc8c131e167674887057c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 22:21:40 +0000

    Add maemo audio src/sink
    
    
    20080422222140-3e2dc-1ff40bb2741aec3402924e5c4a6dc24ea97dd5a7.gz

commit 69ae07727ce447849fda04a219b15f6b27daae72
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 22:19:02 +0000

    Remove unused string
    
    
    20080422221902-3e2dc-afea804499ab6728fdcc09ece1dcbe162bd1471c.gz

commit e4c19845ac1a405ef8e3c867596a15d7d9e22cda
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 22:13:55 +0000

    Free resources in two steps on stream shutdown
    
    
    20080422221355-3e2dc-3bfeccac20ce5eab47aca6abad84945c31c7ea60.gz

commit 1ba1f8f9130711cff998cfa0b4465d8ed942187f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 22:09:30 +0000

    Make it clear that these stop the audio sources
    
    
    20080422220930-3e2dc-f6a923c1a19e3d96f20e6a3125370852a74ec295.gz

commit ebdb064e71478d9b6bf8a9284cbde44bb8df56e9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 22:09:10 +0000

    Load element configs from the proper xdg directory
    
    
    20080422220910-3e2dc-5c7dfa490eb6aa09660e1c27eb1897c24a3c0c19.gz

commit c32d9bca9be4347047093667fa1bb50f84c6c2d4
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 21:48:44 +0000

    Remove unused FsElementAddedNotifier from audio stream
    
    
    20080422214844-3e2dc-14f45a58e97c6f3774df3b0589e64e2c45fc4da3.gz

commit 6d5e9cf59583f0c73ba5acf3bc8d3e98106487c9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 21:42:09 +0000

    Request audio sink when data arrives, release it on hold, etc
    
    
    20080422214209-3e2dc-4a8ed02f21b96bb5fa846b6ddb8d741398372856.gz

commit f12acad95a91a68f0580a816dcde8e97c6b37b00
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 21:41:58 +0000

    Create audio sink on request
    
    
    20080422214158-3e2dc-c127f1875ccbe6f9034810a731dfd0bfe48a5a80.gz

commit fe3068134b6c1f222c651fa5b3a60ac6334dd2a5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 20:10:56 +0000

    Add signals for the audio stream to request pads
    
    
    20080422201056-3e2dc-ddcadd01ea6ca2f815f68b523b07ab2f10236f3f.gz

commit 72e4062e8071881daab369d4ce6cc3bd0e19fc3c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:53:57 +0000

    Don't manage audio sink states from the Engine main objects
    
    
    20080422195357-3e2dc-185bdae319706df6361b3b70038ab64d284cfcee.gz

commit 1c9fbd2604367f996ba35b79b12ad0da8617928f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:51:46 +0000

    Explain why we leak the tee sink pads
    
    
    20080422195146-3e2dc-de74acb62926586b670b36c79d7a87542fef0a04.gz

commit 30896fc653d56d1e289e51f8d0cf30b113012c94
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:36:08 +0000

    Unlink audio stream before releasing it too
    
    
    20080422193608-3e2dc-312b671a0653559b4f35271aa002d654137b8e16.gz

commit 2c7a38c34d6306695e536e50d15ea3402e9752df
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:28:06 +0000

    We have to add/remote the audio sink only when needed because of the async stuff
    
    
    20080422192806-3e2dc-8d5b4d9005a1d2b4c318a1880f2196c0863ac581.gz

commit 9c57c37ab3cb357ef39870409315c1575875e3b5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:21:09 +0000

    Make audio stream use unified src
    
    
    20080422192109-3e2dc-56823d11d5df0a37e94488f32a8abf1ec4bf913e.gz

commit 44ac3dae2230e5b86aeb0aab74ece9fde589e309
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 19:13:05 +0000

    Make queue in videostream leaky
    
    
    20080422191305-3e2dc-15138add499dc6180651df28fecd05181f02b5ee.gz

commit 81d9f075d15f6731e1300d1020f800f1bf0d3342
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 18:29:03 +0000

    Build audio source/sink in main pipeline
    
    
    20080422182903-3e2dc-43b26c9a57dd340bd272869fc2a44529c70c4998.gz

commit 66c3269a8140dacb0a67d57cc57c9dbef01703d0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-22 16:31:07 +0000

    Separat the video pipeline elements in its own function
    
    
    20080422163107-3e2dc-a122981090407322a1c218f0758e1125a0fcdb1f.gz

commit d42fd4b005b2cf1a7cc9f93c103885f69a86de22
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 22:35:14 +0000

    Add codecs conf to s-e
    
    
    20080421223514-3e2dc-03c203b98ace690532f76430f6ddc3ce7a3ccd01.gz

commit a6a73f8d02f3462852ea2077e56a597f75f2466b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 22:11:36 +0000

    Rename some video vars/funcs to make it clear they are video
    
    
    20080421221136-3e2dc-7e57f4004fd71cf8428b2491e7ffece7eff0945d.gz

commit 264aae80f17d767eb0f7c49bf2efd4a7b778d797
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 21:31:40 +0000

    Don't release tee pad, it impossible while the pipeline is playing (yes, leak them)
    
    
    20080421213140-3e2dc-e7d6e32cf27aee4ba6ad46f6fe8e84ad0783feaa.gz

commit 2abeb3b76a62664ca0c9bbf267393a5fb93f6e09
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 21:31:23 +0000

    Use the right element name in the error structure
    
    
    20080421213123-3e2dc-3ce35d3a8774b8167e83f1604f3a10bcd71be60b.gz

commit 91f1c961aaa5a9d6ab5ad7f6492dce06e95b5220
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 19:50:42 +0000

    Really use output sinks and destroy them on closed
    
    
    20080421195042-3e2dc-072d108058ce106e9ccffe090abaa132da465baa.gz

commit 1370b22b292d19b0a7523d645802f555ecf44d62
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-21 17:25:01 +0000

    Create pad later to not leak it
    
    
    20080421172501-3e2dc-101c561083c546892c7b1361f1feeec4df2c9b41.gz

commit 1132e63a62a11ff1101723ebe9afc4742f10ab6e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-19 00:19:30 +0000

    Only test what needs testing
    
    
    20080419001930-3e2dc-2ac0e495ffd488cf9b592b75e998486cba43f98a.gz

commit 6f96491eaec856545273f20964f504eaf5f52f67
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-19 00:19:10 +0000

    Fix error messages
    
    
    20080419001910-3e2dc-7c7f0f88c22219974387059ed8ef0ab056bd237b.gz

commit f3d8efd654810caefb9d38e1ffd903e5eae1e877
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 22:43:40 +0000

    Add way to inject local codec config into stream creation process
    
    
    20080418224340-3e2dc-4f6855f3c1df0a997689a2194472894ac32a5ae4.gz

commit 3ea42a5e6ba8d0c4bf31291b7cf3aa70b221d7f5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 20:38:23 +0000

    Set the src pad after the preview has been created to avoid a race where the sync-message arrives early
    
    
    20080418203823-3e2dc-50c4183d922afb30c3b03f73afd684f58fdf7f0e.gz

commit 625083c326d0a4617576eaf7731b69c98301cf6e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 16:06:56 +0000

    Print message if the source stop is not sync
    
    
    20080418160656-3e2dc-36920574dac6e1a0bb76bd76f671352d13fe613c.gz

commit e7331b503656269ebf74198072d9ccd7b914a017
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 16:02:04 +0000

    Stop elements before removing them
    
    
    20080418160204-3e2dc-68075ea7176b9d787d3a0bf88ab58ac24f9b448b.gz

commit cc81c57d6d8bd7785d6dae4265ef27d0b28e9049
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 16:01:43 +0000

    Make the receiving signal related to packets arriving to the sink
    
    
    20080418160143-3e2dc-498b9e37ef5edf7a3d3a5ac0cd9ee5d2caabcf39.gz

commit ca5472b2879e2fd1cb75cd643def57bb33a6ce31
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 04:25:34 +0000

    Restart pipeline on errors
    
    
    20080418042534-3e2dc-853c873c131cac1d503500b3a2b31ce8da9748a0.gz

commit ed89a5e2bf9dcbabc137075edae9f281d806acd6
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 04:25:20 +0000

    Implement freeing the videostreams
    
    
    20080418042520-3e2dc-3ab29422fe4b2b6b4c8525e94ee37f512a20aa5d.gz

commit 0df2f4203cda56bd7e3838683d7a1482e8938af9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 04:25:00 +0000

    Implement freeing the preview sinks
    
    
    20080418042500-3e2dc-d0ab1bb7188d0f6c0a30d43b2ac7303f194565f0.gz

commit fd5b0b72cc4ea7ad1a6237352051bdd6c7e06bf5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 01:58:35 +0000

    Move to new s-e api, port to fs2, all in one massive patch
    
    
    20080418015835-3e2dc-ab028e989b09b4b6725f839c0581816d93cbcec9.gz

commit 871779d2248ce3d901f9fa837c7173b9f46ea9c5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-18 01:56:56 +0000

    Add temporary requirement on gtk+
    
    
    20080418015656-3e2dc-e39ca5b7810c5d40d77d1192ae8b8cee759bb60a.gz

commit dbaae1fd2daebb4505376b1a8135b2181898c92c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-15 17:18:28 +0000

    Implement stream holding
    
    
    20080415171828-3e2dc-ea64661c508d21cb643d56f02a1cd3269671bafe.gz

commit 73487de1085d0846804558c2a1fff2b0962e2c79
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-15 17:17:55 +0000

    Remove unused includes
    
    
    20080415171755-3e2dc-380a65343ccb6c46c4b5d6eddf0d3b0023e61e04.gz

commit e646993f307dac75fd6311b91a1336b6bd93d801
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 22:53:26 +0000

    Remove unused marshallers
    
    
    20080411225326-3e2dc-a5c7c73969bf64dc311ed00f6ac6a835e4475e50.gz

commit f81ee97a75a38164dbcd295a7e5ccb5e2ba8bb74
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 22:53:18 +0000

    Improve debugs messages
    
    
    20080411225318-3e2dc-d6f1123d16f14302d5ea625d1cd0c8bb3b46ecca.gz

commit 4c5ec2e13178f43f8a810ec0b3f3662d4990796b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 22:53:07 +0000

    Emit error on failure to receive data
    
    
    20080411225307-3e2dc-ecb6141b2054307763416d3874a6e10afed66b6c.gz

commit 5dd4ea1b657983021e440a483a6b58c11d8ef1e5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 21:15:48 +0000

    Port stream engine audio stuff to new api
    
    
    20080411211548-3e2dc-9869e6e81b0764d96ddfab1133ac9a3af48370a4.gz

commit 522bf83957fa5b8ee8d2a290bb67404a8b7fc2d1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:38:11 +0000

    Remove all traces of farsight1
    
    
    20080411203811-3e2dc-0a37deb28ed82ed41c8dfff107ca586261e2f62e.gz

commit ae381156f5cf1c31ed3b87ac27bd215646f8d83b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:33:26 +0000

    Only ignore not-linked errors from the video source
    
    
    20080411203326-3e2dc-a6ffa0a7a71b846b12cf14f109cce8d0bb0009b9.gz

commit 1c85c7ba48b2a9636524708e0c13a0ef5d96f5db
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:31:55 +0000

    Revive receiving code
    
    
    20080411203155-3e2dc-0b3ebfe1af93cb95e8918c96e8935894ce2b6312.gz

commit 43866c526d7b86c15599d6ef8f97bae2f65e70c3
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:13:32 +0000

    Hook up session creation/destruction
    
    
    20080411201332-3e2dc-e4f4b7b22f1455554c015fd1f38432741f7e796e.gz

commit 86696080728b955f6847d72f8166ed7a737e1531
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:11:43 +0000

    Misc fixes to the stream class
    
    
    20080411201143-3e2dc-f357177c6084cb939700952aa7535e42117e8e1e.gz

commit c9dd97575dd0a66c6256efe73520c77e1479df20
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:11:22 +0000

    Add Invalidated signal to the session when its proxy dies
    
    
    20080411201122-3e2dc-fd3b52b2783b5d09e1e1472e5a7a64e2999f8e71.gz

commit bdf03af9ee68d0025c2c58c0f4e2c7e324117c15
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-11 20:11:08 +0000

    Don't call closed cb on errors
    
    
    20080411201108-3e2dc-af947fc5295e3cbc6591a4a8fb27cb824d0a4f4f.gz

commit 0c837fe3a6f025cc3099d0393cbbcf16046b7011
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:44:43 +0000

    Add session-created signal to the channel
    
    
    20080410224443-3e2dc-f548ab0bcc11965b7b530ccf7dbfb3c0c8dcc3b2.gz

commit 7aeb300ba10231daa4c3c28364597916cf6cde77
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:42:45 +0000

    Send async bus messages to the channels
    
    
    20080410224245-3e2dc-135d4f73b0721b0076d97818cc4ff2afcb108974.gz

commit 6e8bc5da674e7080f3512775ebeb68780e066212
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:37:20 +0000

    Add new stream function
    
    
    20080410223720-3e2dc-9b9f197543163f2311acafeb0f79bd26d80c9df3.gz

commit db2ccba8c72e7d3cac98d056ad2ffcca562f3274
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:37:04 +0000

    Use new method to build streams in channel
    
    
    20080410223704-3e2dc-df63051d592b0fe1330a1ae3d8a88ecd82d05f46.gz

commit 74e8dd846682731ec13cc2643a7123f6eab5861c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:36:17 +0000

    Remove stream gtype stuff from the channel
    
    
    20080410223617-3e2dc-2bd9545fef24f9887d2684599fe1481c9487bd0d.gz

commit 1cab7ab6b8399f5d4bacd5e74cedc71c1d3ce330
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 22:36:03 +0000

    Remove stop stream
    
    
    20080410223603-3e2dc-f5b5bfc6d9ddc173aba037e3cc1bcaf5c8116b3b.gz

commit ea7a1a758331737b3dd5bc7b46a6307be067c1de
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 21:54:54 +0000

    Port audiostream to new model
    
    
    20080410215454-3e2dc-9c64ba7a4eea4379a67cbd6e164dec68b8a26de9.gz

commit 4da1b9825d071be0710387dc359f3d2aa4f3e2cb
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 21:04:14 +0000

    Use property thing
    
    
    20080410210414-3e2dc-5f1110a55d10ad576283799f89f5acd57cc90512.gz

commit 40342a459f46332880b8bd7ea367a59a37eca92a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 21:03:32 +0000

    Keep a ref to the conference in the session
    
    
    20080410210332-3e2dc-76667087aa9bf80481342d40dce450fc5f0e9d25.gz

commit 6afc37e68bef951be49cda0e27d14fac6f7630bc
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 20:59:58 +0000

    Remove unused state-changed & receiving signals
    
    
    20080410205958-3e2dc-493781d8641cf00474f418b4bb3a8dd5449d01c5.gz

commit 233a99d5232a7c3000e64a2294f9a1a5916c6e00
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 15:29:41 +0000

    Set no-rtcp-timeout to 0
    
    
    20080410152941-3e2dc-9d221457823d8773f6dc9c31147a9a4b9f9ba327.gz

commit e54ac3f0ea0b58ee2c26b2803c8054041068b782
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-10 15:00:18 +0000

    Ignore unknown cname errors
    
    
    20080410150018-3e2dc-35c2b80024ba9f2e205f69cdd9b1657bacfd55e8.gz

commit 448aeb297b658c920e5c0235eb8672329f140d97
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 22:28:25 +0000

    add sink-pad property to the stream
    
    
    20080409222825-3e2dc-fe3af51e91a2cabbfc5c0f30b145821cd2748cc1.gz

commit 6d002ae08c06bd41d028b397bc3a61c7149efe35
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 22:28:20 +0000

    Port stream to the fs2 api
    
    
    20080409222820-3e2dc-97051cfa97a85eba58bae6b7f4c44c4726e1d0ea.gz

commit 893fbe6c997c877e6227fa30f4567ac618ec56c8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 21:52:23 +0000

    Add methods to handle bus messages on channel ans session
    
    
    20080409215223-3e2dc-ba89f56c3f3879ab7c91b893245ccc388802f7f2.gz

commit e6aa3615b9f41e58975db6b7419970887fd8bdd9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 18:22:39 +0000

    Replace farsight1 constructs with farsight2 version in session
    
    
    20080409182239-3e2dc-2f88fe2992d863b85fb03f506441c772b906818d.gz

commit 5d50d1d85a54d404754aba3016875136434dfa2d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 18:22:28 +0000

    Add farsight2 to configure file
    
    
    20080409182228-3e2dc-2e4ee221c8de95d40c19a7835822cf83673c504c.gz

commit 61bb74f0f8a0cc09311d7ad81c1e44da9c25a556
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 18:08:12 +0000

    Use farsight2 constructs in channel
    
    
    20080409180812-3e2dc-511de671301f879ae4c8daf3a9301da7b6b13a47.gz

commit c2b32eed338f3d4480d6a56c99b5317af537414c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-09 18:07:36 +0000

    Remove pipeline from channel
    
    
    20080409180736-3e2dc-de75d834acd30db186a3f1645d545495d57735cf.gz

commit 477f57b1ecd0132b570ef6e19c1bb91e14d854b3
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-12 01:34:12 +0000

    merge conflict with coverage patch
    
    
    20080412013412-418b8-1cf4d2697d4d790b5d2dbc10ab426e12f2d46089.gz

commit bfdf5c436c0fb1d4ecbf8868f44a139627720028
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-12 01:28:35 +0000

    add --enable-coverage flag to compile with coverage info
    
    
    20080412012835-418b8-75e0a2428790e2840423f1f350d599bf3ada3d44.gz

commit c74c00895da4a4cd103352dd78965ec7f16c039b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-02 17:14:17 +0000

    Make it clear that printf'ed message is from stream-engine
    
    
    20080402171417-3e2dc-91b6a574a0cf56c8e3f8a0ed1854251dd8ded69e.gz

commit b198d5f53f15a676ff9b5e5afbc68acc13812d51
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-07 22:52:46 +0000

    Oups, freeing resource shouldn't do anything if not on Maemo..
    
    
    20080407225246-4f0f6-c2237ecdcb43543e00c68ef4673e0eeb6fef13bc.gz

commit 0e3fdda44529d39c234bc48ab10e37b016fd55b1
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-07 22:18:04 +0000

    Audio resource only for maemo
    
    
    20080407221804-4f0f6-5dc3efef3f0892cad82a65e8b1fb3bb07b6ffcb7.gz

commit 212427e8bc08f042ef36d3a9d364663b671ce302
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-07 22:16:37 +0000

    No more need for the free_resource signal id, always listen to the signal. Simplified stream weak reff stuff
    
    
    20080407221637-4f0f6-26d1e409abc00b1331a7ec98a4c1b71f3a6f1711.gz

commit 0ed6f8d0ad74a844850945065cf4a142985ad56a
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-07 22:16:02 +0000

    Make the stream aware of whether or not it holds the resource
    
    
    20080407221602-4f0f6-16b7d650532664a8eb8f92d6d3b522f0c5f4591d.gz

commit a52dc9669f092e0a50bf5593e2ed96a3d506beb6
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-04 19:51:35 +0000

    Make the dump dot into an idler and add checks on non NULL pipeline
    
    
    20080404195135-4f0f6-9ec398a004d0b40caaadd0efca92f1ffee405ab6.gz

commit fc52d9e806df6a1035ba3b7d3fa2527518c05de8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-07 20:05:56 +0000

    Make stop use a default implementation
    
    
    20080407200556-3e2dc-5cddf675f370006b5e60786a183322190a96200d.gz

commit 2b38b0f67e28d9e6ac7ae1c1a5d71b8f44325d70
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:27:01 +0000

    Add g_gnuc_unused in refactored code too
    
    
    20080404182701-3e2dc-b6b24d1938a16636002b84bf9d93d0d5ef5752f0.gz

commit 4a48ad574325250da1182010367f6d75a7310a93
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:23:31 +0000

    Create sink/sources in the children's constructors instead of special methods
    
    
    20080404182331-3e2dc-a231e79a2e1c73b4e2c1b9627288876f8b6d6878.gz

commit 39d875753dc1dceac47eb06c0b3e2f3697280a4d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:20:04 +0000

    Verify that the media type is audio for audio streams
    
    
    20080404182004-3e2dc-ae5da1561ff47a4ff499fac7aecf516a75ab3e20.gz

commit 4f072dfe05419f826c90318fcba8fe7c94506149
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:19:28 +0000

    Update copyright dates on stream.c (been modified quite a bit)
    
    
    20080404181928-3e2dc-b78eceb063fc23aabe49baa10f0ef77872c59149.gz

commit e106f02ab9db40b1d2df05ca38f31226db87e87b
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:18:56 +0000

    Use stream properties to set sink/source in videostream
    
    
    20080404181856-3e2dc-9ef0faff6e5a0b87d46eec159a5d308d75b56a0b.gz

commit eb518198029a79f3e07c816c7f59c885ca1c0b55
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:17:42 +0000

    Get source/sinks from properties in audiostream
    
    
    20080404181742-3e2dc-d58aa294932e452f90835a5c54dc6d0b8df3c518.gz

commit 89422fc11d2e58e69231719ef5ec07b8e007c74a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:17:06 +0000

    Move everything related to the video sink to the video subclass
    
    
    20080404181706-3e2dc-89066b785fdb078181bb450c4be8666f913469ab.gz

commit b7c46713e910615f63c27a158e473952d238a29d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:11:55 +0000

    Add virtual function to stop the stream
    
    
    20080404181155-3e2dc-35b653cd84c1d6ba1ccceba3a594b520b9e07a2b.gz

commit 6cfe6ddf498d9920450fb4487373f3fa2f9c9abf
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:10:04 +0000

    Move the life-cycle management of the video source to the subclass
    
    
    20080404181004-3e2dc-581fa61627559ed89856d5f70d96884299141455.gz

commit be791db1a030c6d42f8df6aa18143c9292e707ee
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 19:15:48 +0000

    Add subclass for video streams
    
    
    20080302191548-3e2dc-1514b300afe4b777dbedb2960a6d67ec0864bdba.gz

commit 860fddfc5cd0896f8fd560f69dac457549b5f03e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:01:43 +0000

    More merging of refactoring into trunk
    
    
    20080404180143-3e2dc-de5eceb229d41a47f9701ca1e5fa45518fde928a.gz

commit ff31412beeb55a23a5ecb38aa45df3a4b715ebdb
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:01:04 +0000

    Make fs_stream a public member of the stream so its children can use it
    
    
    20080404180104-3e2dc-c762ae2a244aa0ff653ad644265431e44671fa2b.gz

commit 16a1aba7fae666a858f3018c7fc62a54214d9e2c
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 18:00:51 +0000

    Move volume/mute related functions to the AudioStream subclass
    
    
    20080404180051-3e2dc-0d1a42599a2a77c4ea2ecd4ff3c5cc5ee46b5e28.gz

commit 316b417132a354d924c7ea3e2bebd5525d93394d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-04 16:21:50 +0000

    Merge refactoring into trunk
    
    
    20080404162150-3e2dc-0c060f2e992367a1b9fc7409ac7d26658faab99f.gz

commit edd96263d97230778034792b5a9cc56e48c54361
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 18:31:02 +0000

    Move making the audio sink into the subclass
    
    
    20080302183102-3e2dc-da2d7814067b7efa9aed09408238d24a5720aaa6.gz

commit cf50f241145fec067b6678a2902b799df9775087
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 18:28:14 +0000

    Move making the audio src into the subclass
    
    
    20080302182814-3e2dc-59ce6565f45981a90825992ca6a38dd840032f97.gz

commit 74cebbeca58545fbce8008bfc69b0955d61d67a1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 18:27:37 +0000

    Make the stream_id public so subclasses can use it
    
    
    20080302182737-3e2dc-3d43f03d7c4ec42d7a62a80479305d8c94b3f976.gz

commit 28313df4c154bbd3762c43a8c8d9918d8fcacee5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 18:18:07 +0000

    Add virtual functions to make src/sink in streams
    
    
    20080302181807-3e2dc-0ec76c155c36809cdae0d1fca0f60bdeee4f60f3.gz

commit 4bac5495a02bf2ee6a142a04ff1806dfaad10075
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-02 18:11:53 +0000

    Add audio stream subtype
    
    
    20080302181153-3e2dc-ed0cd5ad739ba13a0590d592384c7e860bcaf84d.gz

commit 7b9201b82bfd86bee7e907d4baefaaade1e63d8b
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-02 23:20:08 +0000

    Adding support for SIGUSR1 signal : dumps a dot file of the pipeline.. very useful for debugging video pipeline
    
    
    20080402232008-4f0f6-f840585af55a5df7a65234f0e2c467ddab4c05a6.gz

commit e04346b7af9da7b4099eefe616236262604bccbf
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-04-01 22:17:49 +0000

    Fix bug when resources are freed when the stream is destroyed. The signal id was not reset to 0. also added a free-resource signal in the dispose of the stream. And changed some var names
    
    
    20080401221749-4f0f6-e87a9d5e5fe40b32ae774dbbe87ebc5542829b4e.gz

commit 138dd2e423071f3c4d5cdc99bc2c5350571cd1f7
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-27 19:18:16 +0000

    Cleaning diff... removing unnecessary newlines and forgotten property on the g_object_new
    
    
    20080327191816-4f0f6-6d88135c796dac720c18f567167192ea9647be88.gz

commit c4881ac609489409113018c19f24a650f3576288
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-27 19:07:44 +0000

    Fix conflict
    
    
    20080327190744-4f0f6-430c87b29d2a29ef36af03576c9991389467f32c.gz

commit cce864ce8987fc4b3c89162f6e929d546150493f
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-27 19:06:05 +0000

    Fix pseudo-typo
    
    
    20080327190605-4f0f6-b52cfa24cf01cd46d9f6f6e1847cc7b17b59325a.gz

commit f2e12682114cb6af8ab427c60ad4db6d47e4397b
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-27 19:05:45 +0000

    Remove unused channel property on stream
    
    
    20080327190545-4f0f6-3aefce222139eb4dfb1d2d672223ff2c05f17057.gz

commit 7ae3e9af90162fe1d89bddf9606747a98ed67d51
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-27 19:04:23 +0000

    Use signals to request/free resources
    
    
    20080327190423-4f0f6-830be80c3370a39edcb08fe0cf0e691cb6ca440f.gz

commit ad44481ebcb7f887065bfe0c79b7a37230f6309a
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-25 17:12:04 +0000

    Make the unheld_streams a GList and have a weak ref on it
    
    
    20080325171204-4f0f6-860e5b397a73f726c58cb712557031872eeabca7.gz

commit d8b7d5d85cc9436f84b2e2f314fde17775f50bf3
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-24 20:27:47 +0000

    Make sure that stream-engine is aware of the stream being 'held/unheld' when we start or destroy a stream.
    
    
    20080324202747-4f0f6-a2ca81279f6f65b7da7bcdd6f9e4369141e3656a.gz

commit d499b5e8f5d90fa7ea35a9fe7f2122a29160485c
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-24 20:24:40 +0000

    Add set_stream_held to the MediaStreamHandler
    
    
    20080324202440-4f0f6-c5d221233d0bd8bd48856f0a13eb5706efe7fc0f.gz

commit 4ee663740798efed837eb08165a375ced77da625
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-24 20:23:54 +0000

    Add unheld channel awareness to stream-engine : new API
    
    
    20080324202354-4f0f6-65821637861d01f11abf46544cf2a2caeaaae83e.gz

commit 22566c5c35d598c55955b2dba160eda057d3e08a
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-24 20:22:36 +0000

    Add parent channel property on stream
    
    
    20080324202236-4f0f6-8564dd0f77a823208801861ff7bfc48b0168d08f.gz

commit 1128974fea6830b465f07a706098b666a9aeea0f
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   2008-03-24 20:22:04 +0000

    Remove confusing tp_stream_engine_stream_new function
    
    
    20080324202204-4f0f6-703ac73ccb85eecb14c5902967c2856166c0528d.gz

commit 8749896db1d79da211eea81e56c00c7df932ce6f
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-04 01:53:43 +0000

    bump version to 0.5.0.1
    
    
    20080404015343-418b8-4403bbde65ac533a091016fb0e09be43cec83579.gz

commit 1d33f0a18f3da239ad7d815bb82ecbef9c865c88
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-04 01:47:06 +0000

    final NEWS update for 0.5.0
    
    
    20080404014706-418b8-77d4752e7735cface34b70dcc720089f9325b4e8.gz

commit b22f8fb6b3713bb78e58a0f138c0106e28148633
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-21 21:08:06 +0000

    bump version to 0.5.0
    
    
    20080321210806-418b8-4beece88da8d459a68146b0654c6207c6e874e02.gz

commit 333ab3a45a866975fe38aabcd7085e3668e111db
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-04 01:12:39 +0000

    update date on NEWS
    
    
    20080404011239-418b8-7849d17570c35e132b106a874fb8e0f6c50d95d0.gz

commit 2eaded038082dfdb61ad292b67ca79b6d2baa225
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-04 01:10:30 +0000

    set the video source to NULL state straight away when it becomes unlinked, so the device is closed
    
    
    20080404011030-418b8-d758810d944de133fe1e0a396526f2c6dfa08564.gz

commit eb26c90247bee72d19bf3bc43e882ffff5faec42
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-04-04 01:10:07 +0000

    make less alarming error messages when the video source & tee becomes unlinked (happens normally)
    
    
    20080404011007-418b8-07c89da7b7092677d88ca138e52cf34f7dfd3528.gz

commit 6e7bd9b6f597483ce4b0ac6388315d8d50560771
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-02 00:01:29 +0000

    Init GError pointer to NULL
    
    
    20080402000129-3e2dc-7d5d0e5dd236b7ed1cd90daecf01bcb374a6372b.gz

commit f2639ddefa37cd9030271558c8556575759233c9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-01 23:27:10 +0000

    Don't try to remove non-existed idle source
    
    
    20080401232710-3e2dc-fb242bd6935b1a6e4c0c38e9090e7de388ac24de.gz

commit c2cbea4e889ed05b6c1d3819ac9953017039163e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-01 19:57:46 +0000

    Return from the right function (output volume, not window)
    
    
    20080401195746-3e2dc-d964af940f7fab39254c5638730e5bb0f62e3190.gz

commit 3f6b8889ce04c02118aec67321e9f93a5d9beae1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-01 19:56:40 +0000

    Only return from the removal of the preview window once it has been removed
    
    
    20080401195640-3e2dc-93a3c3db5b3415fba8fb528e1c56556e345ffbf3.gz

commit 5536862729ab30963a00c8987eb6480df7eadfd8
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-04-01 19:05:39 +0000

    Remove idle calls for windowpairs when they are destroyed
    
    
    20080401190539-3e2dc-bc5a9e888b54235d37542e88f419ddf8b825e566.gz

commit fdef6b76aef22f8214c6003084e453b7984a8122
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-26 15:53:54 +0000

    Reset videosrc/videosrc_next pointer to NULL when the pipeline is unrefed
    
    
    20080326155354-3e2dc-8f29078080fc13d1ae2babb2db548b41dc86a231.gz

commit 337d9763296427c31079664692597acdf0bf8f0f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-25 16:13:03 +0000

    Dont crash if dispose/error has happened
    
    
    20080325161303-3e2dc-2da1d4197db051e506c0e76d40de956c048a4551.gz

commit 36ee6379b4cd3d109e376fdcc9726f2eff61fb2f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2008-03-31 12:09:57 +0000

    Fix --disable-Werror
    
    
    20080331120957-a41c0-906222890026765b3761fd6fd4ffad0f15567336.gz

commit 656b96ad3cfd4be73c4706cdf01cd15468c495ab
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-25 11:10:48 +0000

    don't set audio src or sink elements on the farsight stream when maemo support is enabled, unless FS_AUDIO_{SRC,SINK} env vars are set
    
    
    20080325111048-418b8-de8a40e1660aaca8e11c596f604446570df2817d.gz

commit 605a5c3b626d20bc986f2aed0dc723c549f90861
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-25 11:10:31 +0000

    whitespace changes
    
    
    20080325111031-418b8-8a68cc748fc77c6bbd81977054b7f50776709cdd.gz

commit d66b252f3fc69c741dd7f6927f2f190127351bc3
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-25 11:09:36 +0000

    rather than doing strange acrobatics to work out whether the unlink callback has been called already, don't add it if it's already been added
    
    
    20080325110936-418b8-b8c3232ea280507c902506194d433c09e268af99.gz

commit fcf014414db0008b187a94b8fa1343d16987ce8f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-24 22:04:16 +0000

    Unlink the right handler
    
    
    20080324220416-3e2dc-0e753ee3a675a0f343e9671109ffe036310fe80f.gz

commit 4c7f4bef2b7467fc5e543fefecb35a24cd6eb1df
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-23 19:43:37 +0000

    Verify if setting the sink/source on farsight streams succeeds
    
    
    20080323194337-3e2dc-52af8aa5fd8c70b1ec17b1b5ac4e39601696542d.gz

commit 39c524b2969d6401625e0c5560be78fad3e206a9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-22 21:42:54 +0000

    Stop the unlinked signal once it has been received once (only one ref was taken)
    
    
    20080322214254-3e2dc-550775cbac7f1545a230623d1faa47304ea2fd34.gz

commit b5e7baac3a3d010cc2afac0c9c10a47db0bbbc13
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-22 21:19:20 +0000

    Use the right marshaller for x errors
    
    
    20080322211920-3e2dc-8c35f3fb82102dd3ca25ac26a1fa4846fa34eb54.gz

commit 3a4596f91da0928ae51487c7a1077ffba4e6442e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-22 21:17:50 +0000

    Make ref counting a bit more simple
    
    
    20080322211750-3e2dc-8c23e068cacddd2ceef9fd8359003bc423dd1e0c.gz

commit ee13d7354fdb87ac00c29d8d5040fd45d389e94d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-22 19:34:15 +0000

    Unref the right element on errors
    
    
    20080322193415-3e2dc-9df8d459f464bb084ffb3af75f22bc6f6d1a7bec.gz

commit 40619539b1bae76f587fa2d952e2f23aa039eff4
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-22 17:22:51 +0000

    Make sure the output window id in stream is 0 when there is no windowpair
    
    
    20080322172251-3e2dc-efb9f12f488578eb1867e4e89ba3249b17ef55b0.gz

commit 7d521fd81c27d5bc087989ffc39436d0d6f3bef0
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-21 22:00:16 +0000

    remove extraneous FALSE setting in stream _init
    
    
    20080321220016-418b8-aa53cb303958189f5485acb2b2b5abde6d45c005.gz

commit 1356b8bdfd2ed6285069e401c2b5a9a575d8870f
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-21 21:30:01 +0000

    initialise volume to 100 and mutes to off, otherwise clients who don't interact with the volume/mute APIs will get no sound
    
    
    20080321213001-418b8-96f17402bec71f7dadf97a335f3b45ddbcdfcf95.gz

commit 82fb572f8f6c785c62ad50f8e138632307a70fa1
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-21 21:07:42 +0000

    NEWS for 0.5.0 release
    
    
    20080321210742-418b8-986d2a67553ebe43dd5f85a29e99a4c7791fb873.gz

commit 003bb6dda9e7e61917ca9947c86e825f60fbc9d6
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-03-21 19:00:16 +0000

    bump required farsight version to 0.1.26, because of changed src/sink reference ownership semantics
    
    
    20080321190016-418b8-4b0bac6ee8f9e349378c46c17dbfcc1c01f1a1aa.gz

commit 72aa6393b3be466b7d202de47a73cde9d441ca67
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-03-21 23:28:16 +0000

    Also recursively set properties on the audio src and video sink
    
    
    20080321232816-93b9a-8e6ed0d339de2f2caa1210a0cb8f8fddcdd603b7.gz

commit d8f5971576986887f7f60469f0e32ec2ed9e32a3
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-03-21 22:10:14 +0000

    If a bin is added to the audio sink, set sync to false on elements in it and listen to element-added signals on it
    
    
    20080321221014-93b9a-a39e7afb4ac03059c114d7467943bb148db10a70.gz

commit 4d547f146644a08e6efb6503a3e05a9491512c2a
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-03-21 20:21:19 +0000

    Mark unused parameters with G_GNUC_UNUSED
    
    
    20080321202119-93b9a-93967dec9735d0821f15c1443adc1ae58c83daae.gz

commit 94c47de6e3ed4534f6cd28e7d80e6048d349464c
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-03-21 20:02:18 +0000

    Let the code generation mark unused parameters with G_GNUC_UNUSED
    
    
    20080321200218-93b9a-bf9b73b0ad39a042271b415e075d72a0d1f41f5e.gz

commit e8de1d32797a79a4dcc6bb715af23bedb3f48133
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-03-21 20:01:19 +0000

    api-cli: Mark an unused parameter as such
    
    
    20080321200119-93b9a-4d5dfa6f6f31324cb317aa69e41d30c8b1f5a0cd.gz

commit d9b08098bf4e48010705af75bff9edd3c118a0b9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-21 17:35:48 +0000

    Rename testsrc to reflect the change to fakesrc
    
    
    20080321173548-3e2dc-204be8553806c31b28c4a6d00159a9ddfddcbd60.gz

commit 32d3f736b8eef704ec3d5172575fb7a0152ca187
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-20 23:15:07 +0000

    Use fakesrc instead of testsrc when camera is not available and dont start it
    
    
    20080320231507-3e2dc-9ad7144eb71e32066329b35707f3edd05263c712.gz

commit 6885fe53989d4725884b334d7ed9001f92d534a2
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-22 15:13:45 +0000

    Force a videotestsrc if there is an error on the bus
    
    
    20080222151345-3e2dc-1ec585609ddb76d47158c08312432f7a6b8eec52.gz

commit 05e2e64d39e59796901273648319c7984183ea63
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-22 15:13:17 +0000

    Fail the preview windows if the video source can't be started
    
    
    20080222151317-3e2dc-7d29c4412fa9b5817442ea1203f3f260c76ce481.gz

commit 05da36ac15522a09734ed7b77dab99f1cba775c2
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-22 15:12:22 +0000

    Test if the video source can be opened and use videotestsrc instead of it fails
    
    
    20080222151222-3e2dc-49626bf4fbe1a67e53455c348c8f279ccaa755ad.gz

commit 93456838d6415f2a06a7576a843897631120eb2e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-21 16:59:14 +0000

    Completely remove useless and anoying framerate filter
    
    
    20080321165914-3e2dc-354b89cbe9af7294a23449212d70f8fc9ff571b4.gz

commit d6308640f00f6dd93e345124dfb456d5a94cabb9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-21 00:38:40 +0000

    Allow for a larger range of framerates (since we can't use videorate on live pipelines)
    
    
    20080321003840-3e2dc-453ead8c5b7109a17293196a62b8c8875a5ff11e.gz

commit a795c39a144770cf6905d94af0f7ed367df6e0c3
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-20 23:58:28 +0000

    Stop source too when stopping errored video pipeline
    
    
    20080320235828-3e2dc-1dc17ea80d322713e4580e0724b32e8fa6c190f9.gz

commit 551fb7de021d6c5be8d54887a19d66e902a660ae
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-04 00:44:52 +0000

    Ignore badwindow errors for unknown windows too
    
    
    20080304004452-3e2dc-c3b42c492727e8b9fa46d35322b853cf65c1989a.gz

commit 2a0a76c5556d15261686dd7740199b000119655e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-04 00:37:49 +0000

    Ignore QoS events because the timestamps are unusable
    
    
    20080304003749-3e2dc-18d442f70b343699f2260d99cbb94e31412431bc.gz

commit 3dbb28c19329753c7353b2be4884adf99d7d56d0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-03 22:47:53 +0000

    Ignore all bad-drawables
    
    
    20080303224753-3e2dc-db84504b782e5e3242c2269312f47d03a2254d1a.gz

commit 087d4aa1eb1fafd9eba47803c08f9fed5ed415eb
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-03-03 22:04:58 +0000

    Rename callbacks to more precise names
    
    
    20080303220458-3e2dc-c946b93c2d2660385d8c1e2f9cc7a6ad6c52b109.gz

commit 9c105fc08da4c23d4afaa37f1a94c6812bff86b5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-03-07 14:47:50 +0000

    api/Makefile.am: Fix out-of-tree builds by allowing headers from $(top_builddir)
    
    
    20080307144750-53eee-7ffdeb7fd9625c3439d054aac85bb48c789a0c69.gz

commit af354e1c61c92b6339297b87317f542881cf22bb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-03-03 18:10:06 +0000

    Update api/ to generate client-side stuff and docs too
    
    
    20080303181006-53eee-b7229e382c0759aaa3a8caf38179e2c6f96d2de8.gz

commit 2efff753b8e9ccdedf9197908eda81299d551762
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-03-03 18:08:49 +0000

    Update tools/ from telepathy-glib
    
    
    20080303180849-53eee-208633fe2b32cd5bc5d6f3a68243ef69448ad2f2.gz

commit d768718ba9813862ed483dd502e57d2909e39465
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2008-03-10 18:54:43 +0000

    Remove g_main_context_find_source_by_id
    
    
    20080310185443-a41c0-f28bd2d1e8498fd76544dcc2f037e7401bbede8e.gz

commit 4a8d2400c0d98db8e409e6bc95126782a83d16b0
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2008-03-10 13:33:58 +0000

    Reverse moving g_timeout_add in the previous patch and handle the timeout in a cleaner way
    
    
    20080310133358-a41c0-52c29a9ef17a7f5905f507c65facde9731836dd3.gz

commit eab4dbc9bc807045862568b000ee60218ca0f13d
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2008-03-07 14:23:55 +0000

    Request D-Bus name after D-Bus object creation (bug fd.org #14877)
    
    
    20080307142355-a41c0-4e7db6c49c3bf14565e7d8a53c7b70c51dda254f.gz

commit 49332060ab51dbcbd6c72c29d1b6a8d3bd353a8f
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-24 12:33:39 +0000

    only set the "preroll-queue-len" property on video sinks if "async" is not available
    
    
    20080224123339-418b8-d2a88a26e979e4692d0bb14155a0330cf2288a3d.gz

commit f6e0eabf30984f8cec3506106deccc75078a4439
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:30:23 +0000

    now we monitor video sink bins for elements being added, we don't need this hack to set properties here
    
    
    20080223153023-418b8-260b106a08da2037d2b9142170e4b5e7a10952fa.gz

commit 8e433eeb0ce7e8614a866f31f9ccd1eba4bd2eae
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:29:29 +0000

    set the chat profile on gconfaudiosink
    
    
    20080223152929-418b8-c89e4635162efe531fb94eb0c4e53c3c2551fa3e.gz

commit bfe0b46dfdfdb4fbd916c23bbebbe14f1c507c3f
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:19:02 +0000

    we don't actually need to export the set_video_sink_props helper outside TpStreamEngine
    
    
    20080223151902-418b8-e5114fe4fe98dd1882b93efda2d09bdfbcbb8c67.gz

commit d48b58a5cd31061e34e74411481b21596c1ff081
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:16:07 +0000

    don't need to set sync here now, audio is already taken care of with set_audio_sink_props, and it is a no-op on a bin parsed from an environment variable (users are expected to know to put sync=FALSE :D)
    
    
    20080223151607-418b8-7294a62f203cdcac0d83d071c9a704decc2424af.gz

commit 80e4e116ff6f0b272a48781053f6af037115ff31
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:15:55 +0000

    clean up some indentation
    
    
    20080223151555-418b8-7a24e404a36767869807cbf2568cf7609be13502.gz

commit 964189136ea610520019c1ff798c593aab351c04
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:12:30 +0000

    reindent tp-stream-engine.h and add tp_stream_engine_set_video_sink_props function
    
    
    20080223151230-418b8-f11701e953907f47757fbd7cbf772d62ee3a3396.gz

commit a0d27d1116035d6e209a671f94d4f3583542b547
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:11:06 +0000

    move video sink property setting into a method exported from tp stream engine, and make it take care of setting sync=FALSE on autoplugged video sinks
    
    
    20080223151106-418b8-18b6a200b37c6748bc84bd64d659eef66c58da89.gz

commit b01dcf00b58d7a4f4762ee71dd647dc2e444a3cf
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:09:37 +0000

    print audio sink creation success/failure in one place, and add a bin element-added signal to deal with setting sync=FALSE on auto-plugged sinks
    
    
    20080223150937-418b8-0c59c9ec5ab120247a0c78fc60ae2d8d118156ef.gz

commit f765dced9d5d847964484ee18586ae24cbeb9adb
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:06:20 +0000

    print success/failure of audio src element in only one place
    
    
    20080223150620-418b8-2d84fca1fb89e37d8eb4cae800c0d9f7818f3c98.gz

commit b74dab3ed7bdd1c97d3a8db46f2735b7d66c689b
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 15:05:57 +0000

    use stream-explicit DEBUG macro in fs_codecs_to_tp
    
    
    20080223150557-418b8-54cde3039dcd1d96e412fd4b0b101383bf41e728.gz

commit 728566cd9e402c0617ec91ffa73cebb29bc58852
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-23 14:10:19 +0000

    set audio src properties like is-live/blocksize/latency on elements which are added to auto bin elements (like gconfaudiosrc)
    
    
    20080223141019-418b8-1d984c78b95ce08c9de6ff50d865beae4c005a0a.gz

commit 828cb87d70d98c736821d345aa97cffcfc6c6427
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-22 15:13:58 +0000

    channel: delay creating priv->sessions until after GetSessionHandlers has returned.
    
    This lets us use it as a guard against adding a session due to
    NewMediaSessionHandler. Previously, we could get this:
    
    s-e: GetSessionHandlers?
    CM: NewSessionHandler! /foo/bar
    CM: here are your session handlers: ["/foo/bar",]
    
    and s-e would create two sessions for the same session-handler /foo/bar.
    This caused s-e to call Ready() twice, which (due to a Gabble bug) caused
    double emission of each NewMediaStreamHandler signal, resulting in s-e
    thinking the CM was trying to give it two streams with the same ID and
    cancelling the call.
    
    20080222151358-53eee-8cd44c4a30e0cf1528743f1fc2f2243a05f86141.gz

commit 578b442eaf7692f12c0f158673acbce7bdce6247
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-22 14:22:46 +0000

    Fix wrong parameter to g_signal_handlers_disconnect_by_func, potentially causing a crash during dispose
    
    
    20080222142246-53eee-fa72416cc08e6efec27bb371f6ad8139cc6492d4.gz

commit cb6d107f8287dcc4f6055bf69ce380a382322181
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-20 17:50:26 +0000

    stream: be sure to disconnect all signals in dispose
    
    
    20080220175026-53eee-cebc890f8687a3f3e35eacfdd01cfc62791e3b66.gz

commit b2d028cf2154c83ad22cc333249271e6f9d01062
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-20 17:50:17 +0000

    session: be sure to disconnect all signals in dispose
    
    
    20080220175017-53eee-937908266e3044568c33cc6a52f624d0a097923b.gz

commit 0d74134c3180bcde4fe50980e77fd1eaa8b65d01
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-20 17:45:51 +0000

    channel: make sure to disconnect all signal handlers in dispose
    
    
    20080220174551-53eee-8151502e544f3b8e3d1e4b0ad7d0de27ee7ae000.gz

commit 11606f791a6a49b161e9032223c954b333a1b15d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-19 16:36:02 +0000

    Ignore some generated files
    
    
    20080219163602-53eee-b483065a39793f9e0fcae33cbe7d66a3d4847f34.gz

commit 4de605ba0f3451f832200a2f51132c884199a7a1
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 21:06:52 +0000

    Use the volume elements to set volume/mutes
    
    
    20080220210652-3e2dc-9e76e948cfc79d943fc11a02f3d665cacb68f739.gz

commit 182fd608c99b5cf20bb14687ef9fec4074e0211f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 21:06:33 +0000

    Add volume elements with the sink/src if they font have volume properties
    
    
    20080220210633-3e2dc-6dcb21568c86b7a5092bbe2da1ad2cdb8b1f4302.gz

commit e5d33dc47fd626dc84fcb3ff8955ebf969d22523
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-09 19:08:42 +0000

    Default to using gconfaudiosrc instead of alsasrc directly
    
    
    20080209190842-3e2dc-b0ee29f75a5aca6e9183abdab9c75cc15e1dcd9c.gz

commit 502e31af3f0ab0757922d9f8d4a3b784bdb39791
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-09 19:06:02 +0000

    Try to use gconfaudiosink/autoaudiosink before alsasink
    
    
    20080209190602-3e2dc-7a8575fd6475c67492f54beded0a68ec1f50b4f2.gz

commit 211a9cf3ad8527de5f79904e274091fa3fefd949
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 18:19:36 +0000

    Set the output sink to playing before giving it for farsight
    
    
    20080220181936-3e2dc-d14252801a30f2a33a9788faeb8284d4ade91d30.gz

commit 42be4c0f02b7ba40b0f53fdaee5974300946c616
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 01:14:33 +0000

    Free the string only once
    
    
    20080220011433-3e2dc-db6f89907465f46597c4420a2e2d98cfbcc1ef58.gz

commit c0e679864d548b034c33ffd5b463e12931b8de4d
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 00:50:37 +0000

    Remove useless check for parent
    
    
    20080220005037-3e2dc-6280582c44f0709b91447136f1a4704c2603daa8.gz

commit 6e9b6ece9865172f080a342c82a6a579af36aee5
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 01:05:05 +0000

    Fix odd whitespace
    
    
    20080220010505-3e2dc-dddfc62829f8649dc42b7076c14a93db218ad811.gz

commit 0870b63044dbb7aadf69bcb18cffec7c45c8cee9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 00:56:36 +0000

    Fix screwed indendation
    
    
    20080220005636-3e2dc-1ac562e4fb13878f78a3d47caebec2d1e4c5e00b.gz

commit 2dab0c7fa6b21cd392e62c58735ae51864f26ce0
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 00:53:47 +0000

    Test for things before using them
    
    
    20080220005347-3e2dc-fda205d9ccbf3dbe61785a7385e56c561069d87a.gz

commit 34fd516123983b8f7b59fdd74d6b445631d7ba4a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-20 00:50:37 +0000

    Remove useless check for parent
    
    
    20080220005037-3e2dc-38b716159a6c2bca5aefabf7aac3f9694e91313d.gz

commit 57101fefd5234861adeb4d5a8276f117b1828af2
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-19 18:34:14 +0000

    Merge no-fakesink and tp-glib branches
    
    
    20080219183414-3e2dc-842a33c44d7d783584c3329b1e1d7365816a34ec.gz

commit 0cfca358488126a837ea635bc7de9c905a852fb7
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-02-09 19:05:29 +0000

    Fix conflict between tp-glib and no-fakesink branches
    
    
    20080209190529-3e2dc-3fcbafb9a7d9fee79b519e79209a9f329e411c55.gz

commit 76dc1cbd378f1289a3cbcea56dfe843404b25a52
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-12-20 22:27:21 +0000

    Merge with trunk
    
    
    20071220222721-3e2dc-150f3725b3a435779651d60d0940ae3f90348c38.gz

commit 171050d5df00c06603b39ac606b64d3d64339c2e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-12-20 22:12:36 +0000

    Fix conflicts
    
    
    20071220221236-3e2dc-dbba0493be3588fdf07ebf7abcad4354993a05ca.gz

commit afbc57b6bcd0b63f061294ec864a77b876c3ca88
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-11-20 21:57:49 +0000

    Fix conflict with rob's refactoring
    
    
    20071120215749-3e2dc-c1ce41cbe7df3ac6c5f4d4e52b750f4f7079ed4c.gz

commit 1c43eb0ec128457d389d90c8343fabd9d0def49e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-11-02 19:26:17 +0000

    Make the indentation of all new code GNUish
    
    
    20071102192617-3e2dc-c74af663f73af14f48796d65f825cd242f0a780a.gz

commit 8881c2afd37107e7107e80f76333122a021526ee
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-11-02 17:01:55 +0000

    Don't leak ref if pad is already blocked
    
    
    20071102170155-3e2dc-7caff8c7b286d3acbef068123935597a32bbb102.gz

commit e072a00ad0034833d7148d14b0d08521f84e8131
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-11-02 17:01:32 +0000

    Check returns of gst functions before using the result
    
    
    20071102170132-3e2dc-07efccaa387fea523c51050ad065b70b7885432a.gz

commit cac6791157e7013c87f5bedd4b6e2d923ecc9e5f
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-11-02 17:00:45 +0000

    Assert instead of leaking and returning
    
    
    20071102170045-3e2dc-bb2b7c621e6b95bc59a3f1aefc48ff697c00cf67.gz

commit 5ae5c8d81303ca76de445cc94b32b22a61b9df19
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-24 18:32:05 +0000

    Properly check the return values of various gstreamer functions
    
    
    20071024183205-3e2dc-3ca42ad7f42753142ab8f70cb23082265e042333.gz

commit 6a0b2a8c1aa579aabc90297c58643eb64db6a217
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-24 16:56:48 +0000

    Handle iter resync and errors correctly
    
    
    20071024165648-3e2dc-4c85cf5ecfdd2cba751ab1fd7683eedf18ffe57d.gz

commit be67d3d17305e73d2c84b540094bf23155bd5e97
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 22:05:31 +0000

    only do the stop source magic on the not-linked error, otherwise we have to rebuild the whole pipeline
    
    
    20071019220531-3e2dc-e1a61792515e72e441ed50690ee46ca175290182.gz

commit d8789312a96157b20483022b41bb00ab5913a444
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 21:47:11 +0000

    Remove artifact from manual patching
    
    
    20071019214711-3e2dc-43c1d8606c2e44ab7040895c73d9aa4c63037169.gz

commit 8d8046937f16fc41e3f4175d7dba269deec497e9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 20:48:24 +0000

    Properly dispose of the video sink only when it is disconnected
    
    
    20071019204824-3e2dc-eaccaf0f5f7ea48e9a68c187524bdf62991554ff.gz

commit 319662efc28694de9d3e7904b805c4a470bbe546
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 16:37:13 +0000

    Prevent race where the not-linked bus message arrives after the new sink has been added
    
    
    20071019163713-3e2dc-7e0bcd161b02f830e45e746fdab419604d753baf.gz

commit 6344bafd395b7456613b3e6eb435e9a48eb7a695
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 16:36:56 +0000

    Remove the fakesink, stop the source when nothing is connected, restart it when something is connected, make sinks irrelevant of the playing state of the pipeline
    
    
    20071019163656-3e2dc-a3112414cdb64b2f49c348948426b0ca156daff4.gz

commit d559cf4e8e0877a448409dd827886816260639cc
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-19 16:23:42 +0000

    Do a bit more error checking around the queue
    
    
    20071019162342-3e2dc-28e690ebe9d5af50150bcbb921ff36eafd07473a.gz

commit 5fab4f63fb951a7e7414d775c57cb03309aa45c4
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-15 22:01:05 +0000

    Keep one more ref to the queue
    
    
    20071015220105-3e2dc-03e8ad685710db0cea042012bb5f58963a23ba86.gz

commit 0ce71cba5c722b586d000f1b1c0badad6befd9f9
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-15 19:18:08 +0000

    Allow disabling the watchdog with STREAM_ENGINE_NO_DOG (for debugging)
    
    
    20071015191808-3e2dc-32f1591a1a0ec17c50e7a27eae2909c14dbd0cd0.gz

commit 5ae3cd61b125ace89c69344836915cce157e8f12
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-15 19:16:40 +0000

    Cleanup queue when the element is removed
    
    
    20071015191640-3e2dc-6c913b168ec7199493d0e98435215cd2b11e5bb3.gz

commit 9486cf74c072d9fe43f43b4508829b5734644b26
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-11 18:53:20 +0000

    Emit linked signal on the stream when the src pad of the queue is linked inside farsight
    
    
    20071011185320-3e2dc-5beb9fab4971e6397f903a729ce22f0d4cb5668c.gz

commit d79081215b05ad2c1a6912d4de027c5aa1d6b809
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-09 23:16:18 +0000

    Stop the video source on not-linked error
    
    
    20071009231618-3e2dc-1bec6ee9a6827364d425cd0b89498a7f3ade3f9a.gz

commit 24e842d0be99ead8401f69e69eb648deae2a38ea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-19 14:35:08 +0000

    Use invalidated_cb instead of destroy_cb for 'invalidated' signal handlers
    
    
    20080219143508-53eee-47b1c7b794d66e1557d20adabd701357d56207b5.gz

commit e13b5b4ee5c2690a67213982cedafb1de0e9aad1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-19 14:33:27 +0000

    Use tp_debug_timestamped_log_handler if $STREAM_ENGINE_TIMING is set
    
    
    20080219143327-53eee-dbd090b45bdb0bd81fdd2c1e140b29f61b45803d.gz

commit a18b5ff4801fd11ab06a8d8657e1db8e1ee771a6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-19 14:14:36 +0000

    Replace destroyed signal with invalidated signal in stream and session too
    
    
    20080219141436-53eee-e420884d3fd48a7d7576cae54c62ce961ddc44a6.gz

commit 65dac619669bfd2134ccaf8b83a7927c31b22a5d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-19 13:52:29 +0000

    Port from a previous tp-glib API to what was actually merged: use invalidated signal instead of destroyed, and notify::channel-ready instead of channel-ready
    
    
    20080219135229-53eee-81fba62a076436c6e44a5c4abe93fc75969d5533.gz

commit 84089792334790f675d2bc9ed736cf6eee47d4ff
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2008-02-19 12:54:03 +0000

    remove unused variables from session.c
    
    
    20080219125403-418b8-1931bc5365d99d2f08ecb76f854af1633fe4cf31.gz

commit 1fd7bb8c825e0bbb8e3b8d95f98bef5728f36435
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-18 17:07:15 +0000

    Merge with Tester
    
    
    20080218170715-53eee-12145f3d9f6acb9f0a20b83441c8bf4a34690d69.gz

commit f1e714a108bf4882cda9493366a5f66e05b4c720
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-02-18 17:03:26 +0000

    Fill in README and turn off non-GNU-make warnings (fd.o #14020)
    
    
    20080218170326-53eee-fd33c6a2e7c1c8fbf2e465a87da927fad28ddce8.gz

commit d2f8affa0bd8827da33fff4aff1766e29d5ee4e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-25 11:42:29 +0000

    TpStreamEngine: consistently call the TpStreamEngine "self" rather than "obj"
    
    
    20080125114229-53eee-2d59095fa08ee4ef2eefe7facc388bc2dbb0f389.gz

commit fa0d6265f27c429d1f77878750e3d9afbf5213f7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-25 11:33:28 +0000

    tp_stream_engine_handle_channel: don't continue to handle channels that aren't StreamedMedia
    
    
    20080125113328-53eee-8aec99baecd5c764a84994eca2adcf46c305dc1d.gz

commit c4bd24582ebf274a6b86009d7196b36802a9c052
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-25 11:30:17 +0000

    tp_stream_engine_channel_new: also take a Connection object path, since TpChannel now requires a TpConnection
    
    
    20080125113017-53eee-3ea39fe558ce463d4259fa1725f015ecfdbafab8.gz

commit 36a5f7a0fa6c63c8f0fc854b257cdd6b23efa69a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-22 12:56:05 +0000

    Use tp_debug_divert_messages and tp_debug_set_flags
    
    
    20080122125605-53eee-1eb0ca41b8724f6cbc0bf81458f8196e3b55d390.gz

commit 3bd2a6380236c26217310341097151921f064f83
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-21 12:55:38 +0000

    Catch up with tp-glib API: extra argument to tp_cli_dbus_daemon_run_request_name (which in this case we don't care about, so pass NULL)
    
    
    20080121125538-53eee-5accd2b2bb8a3ed379f95625c9cb97cf7252d32e.gz

commit 5b16938f310a6d68c62de774a0924f0e9486413a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-15 09:46:32 +0000

    Use tp_cli_dbus_daemon_run_request_name instead of tp_cli_dbus_daemon_block_on_request_name
    
    
    20080115094632-53eee-bd6c9dc8a7c22b331358b004f21ba173d38ae4a6.gz

commit 7f5673d6551a0067b08222934a7dfd14b4c8dc6a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2008-01-15 09:45:48 +0000

    Pass (GError **) NULL to tp_cli_*_connect_to_* (tp-glib unreleased API change)
    
    
    20080115094548-53eee-11ba84fa592ba9af1dd94205425ca0b745188b30.gz

commit f43d08e98b57ecd2af81e70ab7150107c7ac50a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-19 20:01:01 +0000

    stream: use both user_data and weak_object to avoid passing around "method call contexts"
    
    
    20071219200101-53eee-82988dfc6451c7f1201993477622789baca768aa.gz

commit 239aa60d2fccebea89f2bf0b82385400bcc63718
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-19 19:59:56 +0000

    stream: use TpMediaStreamHandler for first argument to callbacks (tp-glib API change)
    
    
    20071219195956-53eee-7826e0f5e5d263a1040fc25d9603f92e44228916.gz

commit 21031a99e13ba2e28e25b33e38c41b0019e9b71f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-19 19:58:35 +0000

    session: fix remnants of old DBusGProxy code (use correct signature for destroyed signal)
    
    
    20071219195835-53eee-f0452153852f3a8fd253292f0f70c446e59dafe1.gz

commit 7aff18bffe9ae9ec125ee4cc201c0821d131b33a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-19 19:44:51 +0000

    session: adapt to new tp-glib API, fix some remnants of old DBusGProxy code
    
    
    20071219194451-53eee-a70c4a00147d2a37fd9610aa500faa17ac2e50b5.gz

commit 6215a5f479d7b98929c33726b490b0188efbd8df
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-19 19:42:55 +0000

    channel: Adapt to tp-glib API changes (typed arguments t o tp_cli API, tp_proxy_has_interface_by_id)
    
    
    20071219194255-53eee-e205941431d0d4f81a5f162ef6d0cdb440a41241.gz

commit ea4d8b284beff8165ffeb1a417120f706064b629
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:31:38 +0000

    Make sure TpStreamEngineChannel always emits handler-result exactly once
    
    
    20071213183138-53eee-95122d40ff01552a45e62d84fe10b06baa15b4d3.gz

commit 0da83071f4189fe502f90f8e967557579299b0f4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:23:36 +0000

    Don't assume that TpChannel objects are immediately ready for use. Have TpStreamEngineChannel emit a signal when it's decided whether it can actually handle the channel or not
    
    
    20071213182336-53eee-b6753bb781be5eabafd4cbe0f8f83c071f61cde5.gz

commit ae13be312faf921c55bcacae7116324be89f42ae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:23:11 +0000

    Fix signature of destroy_cb in stream.c
    
    
    20071213182311-53eee-64c5443c8949c19d828e1f264b0bdd2331cb596d.gz

commit abb0feef850e5eff2c883f2c70ac1a297de3d500
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:22:02 +0000

    Don't unref channel proxy on shutdown, but keep it around so g_object_get(..., "object-path", ...) still works
    
    
    20071213182202-53eee-f6c5b6454d4498b26513848ae9a97a2297091a66.gz

commit 6e66d8b236406698bcd5ca0790a7434c1784a7b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:21:48 +0000

    Fix signature of channel_destroyed
    
    
    20071213182148-53eee-399bf2f36692a84b037650d1c0c77ee037e45e8e.gz

commit 67da25bdd11006dd501428e29aa8945f30ab9d23
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 18:21:03 +0000

    Remove stray empty comment
    
    
    20071213182103-53eee-a18215a1958aaf586488b76adf5d03ffd91f3aa0.gz

commit afe19b66aa9366a04e107dab3461e1529878b000
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:49:28 +0000

    Don't require libtelepathy; bump telepathy-glib dependency to 0.7.1
    
    
    20071213164928-53eee-03899176a063e413dcbb91a03a36b4fc439f19ad.gz

commit 72ae105f40968fa4562e940e24e2c276cca70b7b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:47:48 +0000

    session: Use telepathy-glib proxy
    
    
    20071213164748-53eee-3bdf55a394fbf3ac5e045262b71e42f54498de91.gz

commit 34f5c8353b44cc7e62967a9064b969c2fe11ef99
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:31:52 +0000

    session: consistently call the TpStreamEngineSession "self"
    
    
    20071213163152-53eee-996af5c65caca5010ef38f6371d8ba686ed4799b.gz

commit 0a36723edbb764ebe4213966038ace637952fb68
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:31:34 +0000

    session: use simplified private-structure access
    
    
    20071213163134-53eee-d8999e230e870ea46540cc8ef2474eec2f69d032.gz

commit ed90e0d57a48ad24e756310e88e8ed1b44391eb6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:27:07 +0000

    stream: use simplified private structure access
    
    
    20071213162707-53eee-e880782eb8a4806f37146631df537f17600f813f.gz

commit b5ea6892ea13de4a1c62d56c7acd0ca6094d8dee
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:16:24 +0000

    stream: simplify private structure access
    
    
    20071213161624-53eee-5df2520246665e75ae5b6c5997808370d9a147be.gz

commit 33c666f59419a55bf9617c577f9a1483723e4c4f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:16:07 +0000

    session: simplify private structure access
    
    
    20071213161607-53eee-bf44f4c84a1b277613deb0597231a228c3cad477.gz

commit f7022d106a8b89529fe23e530307d62cf9386307
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:14:18 +0000

    tp-stream-engine: update copyright
    
    
    20071213161418-53eee-0e4f74e64dcdd348d8ceebc1235bc7ff1dab0f39.gz

commit d9d2bb5269e6d66cba9006823bf9b77d1fe471dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:14:10 +0000

    stream: update copyright
    
    
    20071213161410-53eee-8598dc29a2a38e4b6f7206ae1503744ad176d7ab.gz

commit ffc879cb894e9b1adab535ba6d61733516ffe0be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:14:05 +0000

    session: update copyright
    
    
    20071213161405-53eee-25077543359c04134a4748b8d050cb66c20d7da6.gz

commit 93ae9891e0a67d2ee33187682058d5246249bbff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-13 16:13:55 +0000

    channel: update copyright
    
    
    20071213161355-53eee-9be711805eb729f094a35ed47fe07be540832828.gz

commit 49e8fe2425426ef51f03c784258d5c98cb67393d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-12 19:04:36 +0000

    Port to new telepathy-glib API: signal receiving is no longer direct, so signal callback arguments make more sense
    
    
    20071212190436-53eee-06f785417022b83c88a41c25751fb45d23760680.gz

commit 7d0f3fa3f53ded4dfff17f97ff8f6571c639bfd7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 18:14:22 +0000

    Use TpMediaStreamHandler in stream.[ch]
    
    
    20071204181422-53eee-b8ea200bfe92fbeedbe657feaeb45204f9978a2b.gz

commit 22075eb58bb52cc3e315ea15c5ad2f4afaa3be3d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 14:57:22 +0000

    Use telepathy-glib in channel.c
    
    
    20071204145722-53eee-0ec3703f501a5d39bc384979d2eb78388f65e83d.gz

commit 983150401a4bd2c361be400ba085418f3024f736
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 14:04:52 +0000

    Move TpStreamEngineChannelPrivate typedef to header and simplify CHANNEL_PRIVATE macro
    
    
    20071204140452-53eee-675bad5b336fb7ea929ba93e7341bfb9903f45b3.gz

commit aaa29ac8e021a43f49638041782ce833ecaf6af9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 13:09:31 +0000

    tp_stream_engine_channel_new: take a TpDBusDaemon parameter
    
    
    20071204130931-53eee-b1f0baf3fced4d02aec2d17ce07dfa02c6fbe3ab.gz

commit 739e8a5b6eb2643bb55d8b4470b2090fd4a03549
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 12:59:18 +0000

    TpStreamEngine: Add a TpDBusDaemon and use it to call RequestName
    
    
    20071204125918-53eee-59b3679110c112401ca23ea284794a44fc5a4e89.gz

commit dfb36bc31ec738e8864209c85fe416d0ed41e888
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 12:46:30 +0000

    Get rid of TP_STREAM_ENGINE_GET_PRIVATE
    
    
    20071204124630-53eee-3e26835c1ad1a80af0a94d3ad9fd65359db5123d.gz

commit c6a7705fb222990c9a73eb00c316c0f97f8f3d20
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 12:37:03 +0000

    Make TpStreamEngine::priv a TpStreamEnginePrivate* so we don't need a TP_STREAM_ENGINE_GET_PRIVATE macro
    
    
    20071204123703-53eee-d7e6b2f852c99b33cda1227727c3fe99b5270a64.gz

commit 08cea0bef58c4367db940cf74a8158c4c656de3c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-12-04 12:16:25 +0000

    TpStreamEngine: avoid using libtelepathy
    
    
    20071204121625-53eee-6c6006078f47f2b0bff522c37a978a4678750098.gz

commit 42364157a374c1d2cee30ca8ab49e64601b0dc28
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   2008-02-15 23:07:54 +0000

    Add a videoscale element in the video src pipeline. Fixes support of webcams that don't support cif
    
    
    20080215230754-93b9a-27325e243e1d8d0706ae1c3a99ef4e8dc9be2113.gz

commit e49cbbbf7aab533b17e683a949af08d957b40d5a
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-01-17 20:35:21 +0000

    Set the muted state on the src right after it has been created
    
    
    20080117203521-3e2dc-67166046be3ba4b9381e5111354e410d4ddc834f.gz

commit 7bfba6495d81a51117f6bfc259b2de8a4654213e
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2008-01-17 20:34:58 +0000

    Use g_set_error() instead of g_error_new() to not crash if *error is NULL
    
    
    20080117203458-3e2dc-58fdc1745052c8da17b755b562d20b8cc6a1d126.gz

commit 27c2d85b77051dd8d81c66d6fbc12a3972f6cfc7
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-12-20 22:09:16 +0000

    Dont crash if no sink/src is set
    
    
    20071220220916-3e2dc-2d3fd8d19cb3d550ea1594dd625adda6651d023d.gz

commit 085ad5eab017fbd5124ba6a0db094a20104f8458
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-30 13:15:36 +0000

    Stop using deprecated libtelepathy names for things
    
    
    20071130131536-53eee-b0087e6aab079eb1889d91d7957bcb346016d033.gz

commit b7a54d53117edec39044e202b332b92f714282e6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-30 11:01:36 +0000

    Port easy things (constants, interfaces, tp_get_bus) from libtelepathy to telepathy-glib
    
    
    20071130110136-53eee-17550b11fd1b7e2d0cec997446031fc6e7a747e8.gz

commit c59e68c3a0f411f8763db2b834ed868a554074d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-30 10:56:08 +0000

    Remove trailing whitespace in configure.ac
    
    
    20071130105608-53eee-19342a25ca972b728b7016cf6a214022df114928.gz

commit 0fdd46d2d7152f8090863d06c2b199b5e5dc872b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-30 10:55:38 +0000

    Use TELEPATHY_{LIBS,CFLAGS} rather than LIBTELEPATHY, now we're checking for both libtp and tp-glib
    
    
    20071130105538-53eee-e867e1f0e160424018cc0a57a212765c15a3c0e2.gz

commit bf9c51185cc313c8dd1177f7581de3f19ef7d889
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 15:08:23 +0000

    TpStreamEngine: convert synchronous method implementations to "async"
    
    
    20071129150823-53eee-334f17d817fbdb5ba3463a6f006828eec8e67fa5.gz

commit 18ea875a087a74cff9bc3676c250e790e40371fb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:46:20 +0000

    Make TpStreamEngine synchronous D-Bus method implementations static
    
    
    20071129144620-53eee-5863ce89683b80bfb917dcdd0144944f4e50ed41.gz

commit fcb142af3d2bfa30197c5cfe84d898199c8e3111
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:45:13 +0000

    Make TpStreamEngine dispose, finalize and D-Bus method implementations static
    
    
    20071129144513-53eee-a4ed3904217f11bc9063537394ed2d0a63fe19f8.gz

commit ddc0daaa8029647b333007a5494cd9ffa6f7fac5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:41:26 +0000

    Remove some signals marshallers we no longer need
    
    
    20071129144126-53eee-4ffb0f5c2ce9dc5524002af7238d67c74cfea389.gz

commit bccc0e1855197db975bdba0a4336c9927a221f5e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:37:21 +0000

    Get rid of now-unnecessary stuff from main Makefile.am
    
    
    20071129143721-53eee-855ee4131559131f28a52eb041c0b425abf179ce.gz

commit d9553da52bffd306df147c1622d2a53d57eedd73
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:36:22 +0000

    Implement TpStreamEngine using the generated GInterfaces
    
    
    20071129143622-53eee-62f55d2ba33b803eadbcb14518f8ca583e809034.gz

commit c883fc38a13a5354a69a5f9828518b4d6b1e5799
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:36:05 +0000

    Link against generated stuff in api/
    
    
    20071129143605-53eee-5e8ec42ab34d01416bc0ac301fe467a5b5efe077.gz

commit 6d470e278241f2c1ee85df997d44270e959840f5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:35:49 +0000

    Compile against generated stuff in build dir, not just against srcdir
    
    
    20071129143549-53eee-0b647fb1c7611018d9fce4aec7b153f378b5ab7d.gz

commit 1f9d38c1d699d8626b1da9a377dc5b37f242791a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 14:35:41 +0000

    Auto-generate service GInterfaces in api/
    
    
    20071129143541-53eee-969a709bc165e76b794f2db623d88309c376cde8.gz

commit e5b5d211eb0571f905548d617f9e13fbc1b0ec58
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 12:35:32 +0000

    Get rid of types.h, use telepathy-glib directly
    
    
    20071129123532-53eee-3c7816a90d68bfb26d00323dde2dbdd6f33a42ce.gz

commit ee566d16f8b17b74edde292cde01afa5ee160c6b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 12:31:42 +0000

    Get rid of telepathy-errors.h, use telepathy-glib instead
    
    
    20071129123142-53eee-54f94e75595111a92be3baf95a663a9f884b1e4a.gz

commit 3d3e493b6b3562d78bf02b28b1347255f87b1524
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 12:20:36 +0000

    Make telepathy-errors.h and types.h wrappers around telepathy-glib
    
    
    20071129122036-53eee-a34c02f64cf47b4e417b3f0dde6f1d61908fd21d.gz

commit f794149b8d9ef5f2fb6be55ba498dc573822542c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-29 12:20:25 +0000

    Require libtelepathy 0.3.1 and telepathy-glib 0.7.0
    
    
    20071129122025-53eee-0d380476b3c7b6a4037feefd46c6ce332a52dceb.gz

commit 03ad70a24dde3021155fb5a910c8dea04cb578e5
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-28 01:28:00 +0000

    fix LGPL in test files
    
    
    20071128012800-418b8-a4e6096d8e936c4a3610023bf2a2ab2e6f410e98.gz

commit e443bdb6a2d562c3540eb7d821c7e327f846cc83
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-20 16:41:23 +0000

    remove unused error handling code, and stop infinite looping on video stream errors
    
    
    20071120164123-418b8-4051034131286111931ceaf1430c9faf973ed5b4.gz

commit e35cc648786722d35523901433e248c30dc925ca
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:55:57 +0000

    remove unused _set_preview_window from stream.h
    
    
    20071111225557-418b8-24e811a9a485e2f94f937493071fd66dbf582914.gz

commit d4ac1b3458d58d33e113eb61629845c044968f13
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:45:02 +0000

    delete some unused rules and tweak comments in src/Makefile.am
    
    
    20071111224502-418b8-0b08212ef617f4ee87985d2628d6844f7ccafa75.gz

commit 9c50fe6e49e2b157ff7fb6f83904a7c89a6843d5
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:43:19 +0000

    make the s-e binary deped on src/tp-stream-engine.xml
    
    
    20071111224319-418b8-3dcd460275d8f07c6783e27125b22be9dde9f8e4.gz

commit d0ae212f95c5b719c675e2ea813be351e1152357
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:39:48 +0000

    move common/telepathy-errors.[ch] into src/ and remove the directory
    
    
    20071111223948-418b8-3a5251db18ae2e04dcc86ffd38046484b05b8e07.gz

commit fc19c4cc2fe32f538fb96bfc97d59f93d48a2224
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:14:08 +0000

    remove deprecated and unused generate/ and tools/ machinery
    
    
    20071111221408-418b8-944788a24553591effdc3908b36b61cf0ec0cd87.gz

commit 227188065b47cf8d05a92f2b28551bd5665701c5
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 22:05:20 +0000

    move tp-stream-engine.xml to src/ dir
    
    
    20071111220520-418b8-e99c904db0cfa19e68fe4b5aad9e97172db114ce.gz

commit 25ff9695cb016e47fdf9ba1fe32bdd19be47ffed
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 21:50:10 +0000

    remove backtrace code, it's not enabled by default, and never really worked that well (better to get a core you can feed to gdb)
    
    
    20071111215010-418b8-31e5a1d9b5a87732fa023db3adb2d36ee53a30c8.gz

commit 2832d5d0e5c59eeaaf14f573a4dc5c3410e81f78
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-11-11 21:46:20 +0000

    remove support for logging to infoprints, it's unused and there are much better ways to get logging out (set STREAM_ENGINE_LOGFILE)
    
    
    20071111214620-418b8-0a55510a7f121499fa1d6a53a8582c12a1457e57.gz

commit 6b179092d17b189e3158f17b13081877e77f7654
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2007-11-07 16:56:09 +0000

    Install telepathy-stream-engine to $libexecdir
    
    
    20071107165609-53eee-81171312eb8cc678e7c7c0f36736327393895162.gz

commit d945272a8cf69a64ff39349d78afc170aba2b291
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-10 00:07:24 +0000

    make params indentation consistent in the channel
    
    
    20071010000724-418b8-89a5bdc2acad06b85e6203b282bc17ef6eba597f.gz

commit 067709876ccd0801e5a1f4b12b3ffafd7c6e9fbd
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-10 00:02:41 +0000

    correct name of channel's "stream-receiving" signal
    
    
    20071010000241-418b8-dad98df5ece2d279aff5c424682932c5b259eec4.gz

commit 3669fc910ff6c13c52bedffa43cc227a49ea9d98
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-10 00:02:18 +0000

    add "stream-created" signal on channel
    
    
    20071010000218-418b8-8d747fd1d43f6852f1e49344b11571162f7ec9a2.gz

commit 8428a05e6620e914a3a3a822dafc3bee6a79e6e2
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 23:21:53 +0000

    don't hardcode the pipeline used for video streams in the stream constructor
    
    
    20071009232153-418b8-b129baf74e15a2c183dc51f12a7ac489684e35e0.gz

commit 29421b7c1e7e92e4accb0d1cb7bee5d9eb2f3b48
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 23:21:40 +0000

    use the {audio,video}-{stream-gtype,pipeline} parameters when making new streams
    
    
    20071009232140-418b8-a57e72c47089326dac16cf55213709907cca07ed.gz

commit 2da28116cab2a60fc903d92f094069986a2a709b
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 23:15:14 +0000

    set the video pipeline on the channel from stream engine
    
    
    20071009231514-418b8-f913181aee53496f20bab08ace2ae7142de099b5.gz

commit e935d620030c30aa4359ae734a6d5b2a64e46778
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 23:06:32 +0000

    add {audio,video}-{stream-gtype,pipeline} parameters to the channel
    
    
    20071009230632-418b8-1f28741f8e735d199706ed8cfe0e7eea7fc6caef.gz

commit 81ee8c1cc51eb221e95d2aceeccb45b1542a7076
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-09 22:05:18 +0000

    Add queue before fakesink (we must add a queue after every tee/demuxer)
    
    
    20071009220518-3e2dc-9a52746bc6315216276b5d39d3df6d8a630e250a.gz

commit 65809306cb65c8ce233ca1ba3ac18f3e17222c11
Author: Olivier Crete <olivier.crete@collabora.co.uk>
Date:   2007-10-09 22:07:16 +0000

    Fix asserts
    
    
    20071009220716-3e2dc-1afa8d1e7739b717b3d9f60284335c50c07378ca.gz

commit f9d6a453cede3d82373b5a873403d2bea03fec06
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 20:42:41 +0000

    free object path and bus name in the finalize function rather than the dispose
    
    
    20071009204241-418b8-8b688c85c82231180d8c59e742a7537c7eb8c188.gz

commit 09e141407b97992cf18ccd34d78d989d44ac29ec
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-09 20:41:23 +0000

    store pipeline temporarily in the stream private structure and use it in the constructor, because it's a construct time property and hence fs_stream won't have been been created when it is set
    
    
    20071009204123-418b8-8ee034312dcbd12bfa914da753b55ad74f76ed99.gz

commit 82b8eb4d6ce5a8245f0cea171234dfb021df75d7
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:   2007-10-04 02:12:26 +0000

    tweak misaligned bracket in channel.c
    
    
    20071004021226-418b8-ffdb89b21ed2ef9b4c4e60bc21ce55ff13a79bed.gz

